/// Access to known geographies in Argentina and their metadata.
///
/// NOTICE: This file is auto-generated and should not be changed manually.
library;

import '../base.dart';
import 'argentina_states.dart';

/// The country of `Argentina`, and its 24 states
const Country argentina = Country(
  id: 11,
  name: "Argentina",
  longitude: -64.0,
  latitude: -34.0,
  capital: "Buenos Aires",
  currency: "ARS",
  currencySymbol: "\$",
  currencyName: "Argentine peso",
  emoji: "🇦🇷",
  emojiU: "U+1F1E6 U+1F1F7",
  iso2: "AR",
  iso3: "ARG",
  native: "Argentina",
  numericCode: "032",
  nationality: "Argentine",
  phoneCode: "54",
  region: "Americas",
  subregion: "South America",
  tld: ".ar",
  states: [
    argentinaBuenosAiresProvince,
    argentinaCatamarcaProvince,
    argentinaChacoProvince,
    argentinaChubutProvince,
    argentinaCiudadAutonomaDeBuenosAiresCity,
    argentinaCordobaProvince,
    argentinaCorrientesProvince,
    argentinaEntreRiosProvince,
    argentinaFormosaProvince,
    argentinaJujuyProvince,
    argentinaLaPampaProvince,
    argentinaLaRiojaProvince,
    argentinaMendozaProvince,
    argentinaMisionesProvince,
    argentinaNeuquenProvince,
    argentinaRioNegroProvince,
    argentinaSaltaProvince,
    argentinaSanJuanProvince,
    argentinaSanLuisProvince,
    argentinaSantaCruzProvince,
    argentinaSantaFeProvince,
    argentinaSantiagoDelEsteroProvince,
    argentinaTierraDelFuegoProvince,
    argentinaTucumanProvince
  ],
  timezones: [
    Timezone(
      abbreviation: "ART",
      gmtOffset: -10800,
      gmtOffsetName: "UTC-03:00",
      tzName: "Argentina Time",
      zoneName: "America/Argentina/Buenos_Aires"),
    Timezone(
      abbreviation: "ART",
      gmtOffset: -10800,
      gmtOffsetName: "UTC-03:00",
      tzName: "Argentina Time",
      zoneName: "America/Argentina/Catamarca"),
    Timezone(
      abbreviation: "ART",
      gmtOffset: -10800,
      gmtOffsetName: "UTC-03:00",
      tzName: "Argentina Time",
      zoneName: "America/Argentina/Cordoba"),
    Timezone(
      abbreviation: "ART",
      gmtOffset: -10800,
      gmtOffsetName: "UTC-03:00",
      tzName: "Argentina Time",
      zoneName: "America/Argentina/Jujuy"),
    Timezone(
      abbreviation: "ART",
      gmtOffset: -10800,
      gmtOffsetName: "UTC-03:00",
      tzName: "Argentina Time",
      zoneName: "America/Argentina/La_Rioja"),
    Timezone(
      abbreviation: "ART",
      gmtOffset: -10800,
      gmtOffsetName: "UTC-03:00",
      tzName: "Argentina Time",
      zoneName: "America/Argentina/Mendoza"),
    Timezone(
      abbreviation: "ART",
      gmtOffset: -10800,
      gmtOffsetName: "UTC-03:00",
      tzName: "Argentina Time",
      zoneName: "America/Argentina/Rio_Gallegos"),
    Timezone(
      abbreviation: "ART",
      gmtOffset: -10800,
      gmtOffsetName: "UTC-03:00",
      tzName: "Argentina Time",
      zoneName: "America/Argentina/Salta"),
    Timezone(
      abbreviation: "ART",
      gmtOffset: -10800,
      gmtOffsetName: "UTC-03:00",
      tzName: "Argentina Time",
      zoneName: "America/Argentina/San_Juan"),
    Timezone(
      abbreviation: "ART",
      gmtOffset: -10800,
      gmtOffsetName: "UTC-03:00",
      tzName: "Argentina Time",
      zoneName: "America/Argentina/San_Luis"),
    Timezone(
      abbreviation: "ART",
      gmtOffset: -10800,
      gmtOffsetName: "UTC-03:00",
      tzName: "Argentina Time",
      zoneName: "America/Argentina/Tucuman"),
    Timezone(
      abbreviation: "ART",
      gmtOffset: -10800,
      gmtOffsetName: "UTC-03:00",
      tzName: "Argentina Time",
      zoneName: "America/Argentina/Ushuaia")
  ],
  translations: {
    "kr": "아르헨티나",
    "pt-BR": "Argentina",
    "pt": "Argentina",
    "nl": "Argentinië",
    "hr": "Argentina",
    "fa": "آرژانتین",
    "de": "Argentinien",
    "es": "Argentina",
    "fr": "Argentine",
    "ja": "アルゼンチン",
    "it": "Argentina",
    "cn": "阿根廷",
    "tr": "Arjantin"
  });
