/// Access to known geographies in Burundi and their metadata.
///
/// NOTICE: This file is auto-generated and should not be changed manually.
library;

import '../base.dart';
import 'burundi_states.dart';

/// The country of `Burundi`, and its 18 states
const Country burundi = Country(
  id: 36,
  name: "Burundi",
  longitude: 30.0,
  latitude: -3.5,
  capital: "Bujumbura",
  currency: "BIF",
  currencySymbol: "FBu",
  currencyName: "Burundian franc",
  emoji: "🇧🇮",
  emojiU: "U+1F1E7 U+1F1EE",
  iso2: "BI",
  iso3: "BDI",
  native: "Burundi",
  numericCode: "108",
  nationality: "Burundian",
  phoneCode: "257",
  region: "Africa",
  subregion: "Eastern Africa",
  tld: ".bi",
  states: [
    burundiBubanzaProvince,
    burundiBujumburaMairieProvince,
    burundiBujumburaRuralProvince,
    burundiBururiProvince,
    burundiCankuzoProvince,
    burundiCibitokeProvince,
    burundiGitegaProvince,
    burundiKaruziProvince,
    burundiKayanzaProvince,
    burundiKirundoProvince,
    burundiMakambaProvince,
    burundiMuramvyaProvince,
    burundiMuyingaProvince,
    burundiMwaroProvince,
    burundiNgoziProvince,
    burundiRumongeProvince,
    burundiRutanaProvince,
    burundiRuyigiProvince
  ],
  timezones: [
    Timezone(
      abbreviation: "CAT",
      gmtOffset: 7200,
      gmtOffsetName: "UTC+02:00",
      tzName: "Central Africa Time",
      zoneName: "Africa/Bujumbura")
  ],
  translations: {
    "kr": "부룬디",
    "pt-BR": "Burundi",
    "pt": "Burúndi",
    "nl": "Burundi",
    "hr": "Burundi",
    "fa": "بوروندی",
    "de": "Burundi",
    "es": "Burundi",
    "fr": "Burundi",
    "ja": "ブルンジ",
    "it": "Burundi",
    "cn": "布隆迪",
    "tr": "Burundi"
  });
