/// Access to known geographies in Cape Verde and their metadata.
///
/// NOTICE: This file is auto-generated and should not be changed manually.
library;

import '../base.dart';
import 'capeverde_states.dart';

/// The country of `Cape Verde`, and its 23 states
const Country capeVerde = Country(
  id: 40,
  name: "Cape Verde",
  longitude: -24.0,
  latitude: 16.0,
  capital: "Praia",
  currency: "CVE",
  currencySymbol: "\$",
  currencyName: "Cape Verdean escudo",
  emoji: "🇨🇻",
  emojiU: "U+1F1E8 U+1F1FB",
  iso2: "CV",
  iso3: "CPV",
  native: "Cabo Verde",
  numericCode: "132",
  nationality: "Verdean",
  phoneCode: "238",
  region: "Africa",
  subregion: "Western Africa",
  tld: ".cv",
  states: [
    capeVerdeBarlaventoIslands,
    capeVerdeBoaVista,
    capeVerdeBrava,
    capeVerdeMaioMunicipality,
    capeVerdeMosteiros,
    capeVerdePaul,
    capeVerdePortoNovo,
    capeVerdePraia,
    capeVerdeRibeiraBravaMunicipality,
    capeVerdeRibeiraGrande,
    capeVerdeRibeiraGrandeDeSantiago,
    capeVerdeSal,
    capeVerdeSantaCatarina,
    capeVerdeSantaCatarinaDoFogo,
    capeVerdeSantaCruz,
    capeVerdeSaoDomingos,
    capeVerdeSaoFilipe,
    capeVerdeSaoLourencoDosOrgaos,
    capeVerdeSaoMiguel,
    capeVerdeSaoVicente,
    capeVerdeSotaventoIslands,
    capeVerdeTarrafal,
    capeVerdeTarrafalDeSaoNicolau
  ],
  timezones: [
    Timezone(
      abbreviation: "CVT",
      gmtOffset: -3600,
      gmtOffsetName: "UTC-01:00",
      tzName: "Cape Verde Time",
      zoneName: "Atlantic/Cape_Verde")
  ],
  translations: {
    "kr": "카보베르데",
    "pt-BR": "Cabo Verde",
    "pt": "Cabo Verde",
    "nl": "Kaapverdië",
    "hr": "Zelenortska Republika",
    "fa": "کیپ ورد",
    "de": "Kap Verde",
    "es": "Cabo Verde",
    "fr": "Cap Vert",
    "ja": "カーボベルデ",
    "it": "Capo Verde",
    "cn": "佛得角",
    "tr": "Cabo Verde"
  });
