/// Access to known geographies in Egypt and their metadata.
///
/// NOTICE: This file is auto-generated and should not be changed manually.
library;

import '../base.dart';
import 'egypt_states.dart';

/// The country of `Egypt`, and its 27 states
const Country egypt = Country(
  id: 65,
  name: "Egypt",
  longitude: 30.0,
  latitude: 27.0,
  capital: "Cairo",
  currency: "EGP",
  currencySymbol: "ج.م",
  currencyName: "Egyptian pound",
  emoji: "🇪🇬",
  emojiU: "U+1F1EA U+1F1EC",
  iso2: "EG",
  iso3: "EGY",
  native: "مصر‎",
  numericCode: "818",
  nationality: "Egyptian",
  phoneCode: "20",
  region: "Africa",
  subregion: "Northern Africa",
  tld: ".eg",
  states: [
    egyptAlexandria,
    egyptAswan,
    egyptAsyut,
    egyptBeheira,
    egyptBeniSuef,
    egyptCairo,
    egyptDakahlia,
    egyptDamietta,
    egyptFaiyum,
    egyptGharbia,
    egyptGiza,
    egyptIsmailia,
    egyptKafrElHypsheikh,
    egyptLuxor,
    egyptMatrouh,
    egyptMinya,
    egyptMonufia,
    egyptNewValley,
    egyptNorthSinai,
    egyptPortSaid,
    egyptQalyubia,
    egyptQena,
    egyptRedSea,
    egyptSharqia,
    egyptSohag,
    egyptSouthSinai,
    egyptSuez
  ],
  timezones: [
    Timezone(
      abbreviation: "EET",
      gmtOffset: 7200,
      gmtOffsetName: "UTC+02:00",
      tzName: "Eastern European Time",
      zoneName: "Africa/Cairo")
  ],
  translations: {
    "kr": "이집트",
    "pt-BR": "Egito",
    "pt": "Egipto",
    "nl": "Egypte",
    "hr": "Egipat",
    "fa": "مصر",
    "de": "Ägypten",
    "es": "Egipto",
    "fr": "Égypte",
    "ja": "エジプト",
    "it": "Egitto",
    "cn": "埃及",
    "tr": "Mısır"
  });
