/// Access to known geographies in France and their metadata.
///
/// NOTICE: This file is auto-generated and should not be changed manually.
library;

import '../base.dart';
import 'france_states.dart';

/// The country of `France`, and its 123 states
const Country france = Country(
  id: 75,
  name: "France",
  longitude: 2.0,
  latitude: 46.0,
  capital: "Paris",
  currency: "EUR",
  currencySymbol: "€",
  currencyName: "Euro",
  emoji: "🇫🇷",
  emojiU: "U+1F1EB U+1F1F7",
  iso2: "FR",
  iso3: "FRA",
  native: "France",
  numericCode: "250",
  nationality: "French",
  phoneCode: "33",
  region: "Europe",
  subregion: "Western Europe",
  tld: ".fr",
  states: [
    franceAinMetropolitanDepartment,
    franceAisneMetropolitanDepartment,
    franceAllierMetropolitanDepartment,
    franceAlpesHypdeHyphauteHypprovenceMetropolitanDepartment,
    franceAlpesHypmaritimesMetropolitanDepartment,
    franceAlsaceEuropeanCollectivity,
    franceArdecheMetropolitanDepartment,
    franceArdennesMetropolitanDepartment,
    franceAriegeMetropolitanDepartment,
    franceAubeMetropolitanDepartment,
    franceAudeMetropolitanDepartment,
    franceAuvergneHyprhoneHypalpesMetropolitanRegion,
    franceAveyronMetropolitanDepartment,
    franceBasHyprhinMetropolitanDepartment,
    franceBouchesHypduHyprhoneMetropolitanDepartment,
    franceBourgogneHypfrancheHypcomteMetropolitanRegion,
    franceBretagneMetropolitanRegion,
    franceCalvadosMetropolitanDepartment,
    franceCantalMetropolitanDepartment,
    franceCentreHypvalDeLoireMetropolitanRegion,
    franceCharenteMetropolitanDepartment,
    franceCharenteHypmaritimeMetropolitanDepartment,
    franceCherMetropolitanDepartment,
    franceClippertonDependency,
    franceCorrezeMetropolitanDepartment,
    franceCorseMetropolitanCollectivityWithSpecialStatus,
    franceCorseHypduHypsudMetropolitanDepartment,
    franceCoteHypdorMetropolitanDepartment,
    franceCotesHypdarmorMetropolitanDepartment,
    franceCreuseMetropolitanDepartment,
    franceDeuxHypsevresMetropolitanDepartment,
    franceDordogneMetropolitanDepartment,
    franceDoubsMetropolitanDepartment,
    franceDromeMetropolitanDepartment,
    franceEssonneMetropolitanDepartment,
    franceEureMetropolitanDepartment,
    franceEureHypetHyploirMetropolitanDepartment,
    franceFinistereMetropolitanDepartment,
    franceFrenchGuianaOverseasRegion,
    franceFrenchPolynesiaOverseasCollectivity,
    franceFrenchSouthernAndAntarcticLandsOverseasTerritory,
    franceGardMetropolitanDepartment,
    franceGersMetropolitanDepartment,
    franceGirondeMetropolitanDepartment,
    franceGrandHypestMetropolitanRegion,
    franceGuadeloupeOverseasRegion,
    franceHautHyprhinMetropolitanDepartment,
    franceHauteHypcorseMetropolitanDepartment,
    franceHauteHypgaronneMetropolitanDepartment,
    franceHauteHyploireMetropolitanDepartment,
    franceHauteHypmarneMetropolitanDepartment,
    franceHauteHypsaoneMetropolitanDepartment,
    franceHauteHypsavoieMetropolitanDepartment,
    franceHauteHypvienneMetropolitanDepartment,
    franceHautesHypalpesMetropolitanDepartment,
    franceHautesHyppyreneesMetropolitanDepartment,
    franceHautsHypdeHypfranceMetropolitanRegion,
    franceHautsHypdeHypseineMetropolitanDepartment,
    franceHeraultMetropolitanDepartment,
    franceIleHypdeHypfranceMetropolitanRegion,
    franceIlleHypetHypvilaineMetropolitanDepartment,
    franceIndreMetropolitanDepartment,
    franceIndreHypetHyploireMetropolitanDepartment,
    franceIsereMetropolitanDepartment,
    franceJuraMetropolitanDepartment,
    franceLaReunionOverseasRegion,
    franceLandesMetropolitanDepartment,
    franceLoirHypetHypcherMetropolitanDepartment,
    franceLoireMetropolitanDepartment,
    franceLoireHypatlantiqueMetropolitanDepartment,
    franceLoiretMetropolitanDepartment,
    franceLotMetropolitanDepartment,
    franceLotHypetHypgaronneMetropolitanDepartment,
    franceLozereMetropolitanDepartment,
    franceMaineHypetHyploireMetropolitanDepartment,
    franceMancheMetropolitanDepartment,
    franceMarneMetropolitanDepartment,
    franceMartiniqueOverseasRegion,
    franceMayenneMetropolitanDepartment,
    franceMayotteOverseasRegion,
    franceMetropoleDeLyonMetropolitanDepartment,
    franceMeurtheHypetHypmoselleMetropolitanDepartment,
    franceMeuseMetropolitanDepartment,
    franceMorbihanMetropolitanDepartment,
    franceMoselleMetropolitanDepartment,
    franceNievreMetropolitanDepartment,
    franceNordMetropolitanDepartment,
    franceNormandieMetropolitanRegion,
    franceNouvelleHypaquitaineMetropolitanRegion,
    franceOccitanieMetropolitanRegion,
    franceOiseMetropolitanDepartment,
    franceOrneMetropolitanDepartment,
    franceParisMetropolitanCollectivityWithSpecialStatus,
    francePasHypdeHypcalaisMetropolitanDepartment,
    francePaysHypdeHyplaHyploireMetropolitanRegion,
    franceProvenceHypalpesHypcoteHypdazurMetropolitanRegion,
    francePuyHypdeHypdomeMetropolitanDepartment,
    francePyreneesHypatlantiquesMetropolitanDepartment,
    francePyreneesHyporientalesMetropolitanDepartment,
    franceRhoneMetropolitanDepartment,
    franceSaintPierreAndMiquelonOverseasCollectivity,
    franceSaintHypbarthelemyOverseasCollectivity,
    franceSaintHypmartinOverseasCollectivity,
    franceSaoneHypetHyploireMetropolitanDepartment,
    franceSartheMetropolitanDepartment,
    franceSavoieMetropolitanDepartment,
    franceSeineHypetHypmarneMetropolitanDepartment,
    franceSeineHypmaritimeMetropolitanDepartment,
    franceSeineHypsaintHypdenisMetropolitanDepartment,
    franceSommeMetropolitanDepartment,
    franceTarnMetropolitanDepartment,
    franceTarnHypetHypgaronneMetropolitanDepartment,
    franceTerritoireDeBelfortMetropolitanDepartment,
    franceValHypdoiseMetropolitanDepartment,
    franceValHypdeHypmarneMetropolitanDepartment,
    franceVarMetropolitanDepartment,
    franceVaucluseMetropolitanDepartment,
    franceVendeeMetropolitanDepartment,
    franceVienneMetropolitanDepartment,
    franceVosgesMetropolitanDepartment,
    franceWallisAndFutunaOverseasCollectivity,
    franceYonneMetropolitanDepartment,
    franceYvelinesMetropolitanDepartment
  ],
  timezones: [
    Timezone(
      abbreviation: "CET",
      gmtOffset: 3600,
      gmtOffsetName: "UTC+01:00",
      tzName: "Central European Time",
      zoneName: "Europe/Paris")
  ],
  translations: {
    "kr": "프랑스",
    "pt-BR": "França",
    "pt": "França",
    "nl": "Frankrijk",
    "hr": "Francuska",
    "fa": "فرانسه",
    "de": "Frankreich",
    "es": "Francia",
    "fr": "France",
    "ja": "フランス",
    "it": "Francia",
    "cn": "法国",
    "tr": "Fransa"
  });
