/// Access to known geographies in Hong Kong S.A.R. and their metadata.
///
/// NOTICE: This file is auto-generated and should not be changed manually.
library;

import '../base.dart';
import 'hongkongsar_states.dart';

/// The country of `Hong Kong S.A.R.`, and its 18 states
const Country hongKongSar = Country(
  id: 98,
  name: "Hong Kong S.A.R.",
  longitude: 114.16666666,
  latitude: 22.25,
  capital: "Hong Kong",
  currency: "HKD",
  currencySymbol: "\$",
  currencyName: "Hong Kong dollar",
  emoji: "🇭🇰",
  emojiU: "U+1F1ED U+1F1F0",
  iso2: "HK",
  iso3: "HKG",
  native: "香港",
  numericCode: "344",
  nationality: "Hong Kong, Hong Kongese",
  phoneCode: "852",
  region: "Asia",
  subregion: "Eastern Asia",
  tld: ".hk",
  states: [
    hongKongSarCentralAndWesternDistrict,
    hongKongSarEasternDistrict,
    hongKongSarIslandsDistrict,
    hongKongSarKowloonCityDistrict,
    hongKongSarKwaiTsingDistrict,
    hongKongSarKwunTongDistrict,
    hongKongSarNorthDistrict,
    hongKongSarSaiKungDistrict,
    hongKongSarShaTinDistrict,
    hongKongSarShamShuiPoDistrict,
    hongKongSarSouthernDistrict,
    hongKongSarTaiPoDistrict,
    hongKongSarTsuenWanDistrict,
    hongKongSarTuenMunDistrict,
    hongKongSarWanChaiDistrict,
    hongKongSarWongTaiSinDistrict,
    hongKongSarYauTsimMongDistrict,
    hongKongSarYuenLongDistrict
  ],
  timezones: [
    Timezone(
      abbreviation: "HKT",
      gmtOffset: 28800,
      gmtOffsetName: "UTC+08:00",
      tzName: "Hong Kong Time",
      zoneName: "Asia/Hong_Kong")
  ],
  translations: {
    "kr": "홍콩",
    "pt-BR": "Hong Kong",
    "pt": "Hong Kong",
    "nl": "Hongkong",
    "hr": "Hong Kong",
    "fa": "هنگ‌کنگ",
    "de": "Hong Kong",
    "es": "Hong Kong",
    "fr": "Hong Kong",
    "ja": "香港",
    "it": "Hong Kong",
    "cn": "中国香港",
    "tr": "Hong Kong"
  });
