/// Access to known geographies in `Hong Kong S.A.R.` and their metadata.
///
/// NOTICE: This file is auto-generated and should not be changed manually.
library;

import '../base.dart';
import 'hongkongsar_cities.dart';

/// The `Central and Western` region in `Hong Kong S.A.R.`
const Region hongKongSarCentralAndWesternDistrict = Region(
  id: 4889,
  parentId: 98,
  longitude: 114.15497,
  latitude: 22.28666,
  name: "Central and Western",
  type: "district",
  stateCode: "HCW",
  cities: [
    centralAndWesternDistrictAdmiraltyCity,
    centralAndWesternDistrictCentralCity
  ]);

/// The `Eastern` region in `Hong Kong S.A.R.`
const Region hongKongSarEasternDistrict = Region(
  id: 4891,
  parentId: 98,
  longitude: 114.22414,
  latitude: 22.28411,
  name: "Eastern",
  type: "district",
  stateCode: "HEA",
  cities: []);

/// The `Islands` region in `Hong Kong S.A.R.`
const Region hongKongSarIslandsDistrict = Region(
  id: 4888,
  parentId: 98,
  longitude: 113.94608,
  latitude: 22.26114,
  name: "Islands",
  type: "district",
  stateCode: "NIS",
  cities: [
    islandsDistrictTaiOCity
  ]);

/// The `Kowloon City` region in `Hong Kong S.A.R.`
const Region hongKongSarKowloonCityDistrict = Region(
  id: 4895,
  parentId: 98,
  longitude: 114.19155,
  latitude: 22.3282,
  name: "Kowloon City",
  type: "district",
  stateCode: "KKC",
  cities: [
    kowloonCityDistrictKowloonTongCity
  ]);

/// The `Kwai Tsing` region in `Hong Kong S.A.R.`
const Region hongKongSarKwaiTsingDistrict = Region(
  id: 4898,
  parentId: 98,
  longitude: 114.08401,
  latitude: 22.35488,
  name: "Kwai Tsing",
  type: "district",
  stateCode: "NKT",
  cities: []);

/// The `Kwun Tong` region in `Hong Kong S.A.R.`
const Region hongKongSarKwunTongDistrict = Region(
  id: 4897,
  parentId: 98,
  longitude: 114.22581,
  latitude: 22.31326,
  name: "Kwun Tong",
  type: "district",
  stateCode: "KKT",
  cities: [
    kwunTongDistrictKwunTongCity,
    kwunTongDistrictLamTinCity
  ]);

/// The `North` region in `Hong Kong S.A.R.`
const Region hongKongSarNorthDistrict = Region(
  id: 4900,
  parentId: 98,
  longitude: 114.13812,
  latitude: 22.49471,
  name: "North",
  type: "district",
  stateCode: "NNO",
  cities: [
    northDistrictSheungShuiCity
  ]);

/// The `Sai Kung` region in `Hong Kong S.A.R.`
const Region hongKongSarSaiKungDistrict = Region(
  id: 4887,
  parentId: 98,
  longitude: 114.27052,
  latitude: 22.38143,
  name: "Sai Kung",
  type: "district",
  stateCode: "NSK",
  cities: [
    saiKungDistrictSaiKungCity,
    saiKungDistrictTseungKwanOCity
  ]);

/// The `Sha Tin` region in `Hong Kong S.A.R.`
const Region hongKongSarShaTinDistrict = Region(
  id: 4901,
  parentId: 98,
  longitude: 114.19534,
  latitude: 22.38715,
  name: "Sha Tin",
  type: "district",
  stateCode: "NST",
  cities: [
    shaTinDistrictMaOnShanCity,
    shaTinDistrictShaTinCity,
    shaTinDistrictShaTinWaiCity
  ]);

/// The `Sham Shui Po` region in `Hong Kong S.A.R.`
const Region hongKongSarShamShuiPoDistrict = Region(
  id: 4894,
  parentId: 98,
  longitude: 114.1622,
  latitude: 22.33074,
  name: "Sham Shui Po",
  type: "district",
  stateCode: "KSS",
  cities: [
    shamShuiPoDistrictCheungShaWanCity,
    shamShuiPoDistrictLaiChiKokCity
  ]);

/// The `Southern` region in `Hong Kong S.A.R.`
const Region hongKongSarSouthernDistrict = Region(
  id: 4892,
  parentId: 98,
  longitude: 114.15884,
  latitude: 22.24725,
  name: "Southern",
  type: "district",
  stateCode: "HSO",
  cities: [
    southernDistrictAberdeenCity,
    southernDistrictStanleyCity,
    southernDistrictStanleyPeninsulaCity
  ]);

/// The `Tai Po` region in `Hong Kong S.A.R.`
const Region hongKongSarTaiPoDistrict = Region(
  id: 4885,
  parentId: 98,
  longitude: 114.16422,
  latitude: 22.45085,
  name: "Tai Po",
  type: "district",
  stateCode: "NTP",
  cities: [
    taiPoDistrictTaiMeiTukCity,
    taiPoDistrictTaiPoCity
  ]);

/// The `Tsuen Wan` region in `Hong Kong S.A.R.`
const Region hongKongSarTsuenWanDistrict = Region(
  id: 4884,
  parentId: 98,
  longitude: 114.12907,
  latitude: 22.36281,
  name: "Tsuen Wan",
  type: "district",
  stateCode: "NTW",
  cities: [
    tsuenWanDistrictTsuenWanCity,
    tsuenWanDistrictTuenMunCity
  ]);

/// The `Tuen Mun` region in `Hong Kong S.A.R.`
const Region hongKongSarTuenMunDistrict = Region(
  id: 4899,
  parentId: 98,
  longitude: 113.9770885,
  latitude: 22.39163,
  name: "Tuen Mun",
  type: "district",
  stateCode: "NTM",
  cities: []);

/// The `Wan Chai` region in `Hong Kong S.A.R.`
const Region hongKongSarWanChaiDistrict = Region(
  id: 4890,
  parentId: 98,
  longitude: 114.17168,
  latitude: 22.27968,
  name: "Wan Chai",
  type: "district",
  stateCode: "HWC",
  cities: [
    wanChaiDistrictCausewayBayCity,
    wanChaiDistrictWanChaiCity
  ]);

/// The `Wong Tai Sin` region in `Hong Kong S.A.R.`
const Region hongKongSarWongTaiSinDistrict = Region(
  id: 4896,
  parentId: 98,
  longitude: 114.19686,
  latitude: 22.33353,
  name: "Wong Tai Sin",
  type: "district",
  stateCode: "KWT",
  cities: [
    wongTaiSinDistrictWongTaiSinCity
  ]);

/// The `Yau Tsim Mong` region in `Hong Kong S.A.R.`
const Region hongKongSarYauTsimMongDistrict = Region(
  id: 4893,
  parentId: 98,
  longitude: 114.1726,
  latitude: 22.32138,
  name: "Yau Tsim Mong",
  type: "district",
  stateCode: "KYT",
  cities: [
    yauTsimMongDistrictMongKokCity,
    yauTsimMongDistrictTsimShaTsuiCity
  ]);

/// The `Yuen Long` region in `Hong Kong S.A.R.`
const Region hongKongSarYuenLongDistrict = Region(
  id: 4883,
  parentId: 98,
  longitude: 114.02218,
  latitude: 22.44559,
  name: "Yuen Long",
  type: "district",
  stateCode: "NYL",
  cities: [
    yuenLongDistrictYuenLongCity
  ]);

/// The 18 states of `Hong Kong S.A.R.` keyed by their id.
const Map<int, Region> hongKongSarStates = <int, Region>{
    4889: hongKongSarCentralAndWesternDistrict,
    4891: hongKongSarEasternDistrict,
    4888: hongKongSarIslandsDistrict,
    4895: hongKongSarKowloonCityDistrict,
    4898: hongKongSarKwaiTsingDistrict,
    4897: hongKongSarKwunTongDistrict,
    4900: hongKongSarNorthDistrict,
    4887: hongKongSarSaiKungDistrict,
    4901: hongKongSarShaTinDistrict,
    4894: hongKongSarShamShuiPoDistrict,
    4892: hongKongSarSouthernDistrict,
    4885: hongKongSarTaiPoDistrict,
    4884: hongKongSarTsuenWanDistrict,
    4899: hongKongSarTuenMunDistrict,
    4890: hongKongSarWanChaiDistrict,
    4896: hongKongSarWongTaiSinDistrict,
    4893: hongKongSarYauTsimMongDistrict,
    4883: hongKongSarYuenLongDistrict
  };
