/// Access to known geographies in Hungary and their metadata.
///
/// NOTICE: This file is auto-generated and should not be changed manually.
library;

import '../base.dart';
import 'hungary_states.dart';

/// The country of `Hungary`, and its 43 states
const Country hungary = Country(
  id: 99,
  name: "Hungary",
  longitude: 20.0,
  latitude: 47.0,
  capital: "Budapest",
  currency: "HUF",
  currencySymbol: "Ft",
  currencyName: "Hungarian forint",
  emoji: "🇭🇺",
  emojiU: "U+1F1ED U+1F1FA",
  iso2: "HU",
  iso3: "HUN",
  native: "Magyarország",
  numericCode: "348",
  nationality: "Hungarian, Magyar",
  phoneCode: "36",
  region: "Europe",
  subregion: "Eastern Europe",
  tld: ".hu",
  states: [
    hungaryBacsHypkiskunCounty,
    hungaryBaranyaCounty,
    hungaryBekesCounty,
    hungaryBekescsabaCityWithCountyRights,
    hungaryBorsodHypabaujHypzemplenCounty,
    hungaryBudapestCapitalCity,
    hungaryCsongradCountyCounty,
    hungaryDebrecenCityWithCountyRights,
    hungaryDunaujvarosCityWithCountyRights,
    hungaryEgerCityWithCountyRights,
    hungaryErdCityWithCountyRights,
    hungaryFejerCountyCounty,
    hungaryGyorCityWithCountyRights,
    hungaryGyorHypmosonHypsopronCountyCounty,
    hungaryHajduHypbiharCountyCounty,
    hungaryHevesCountyCounty,
    hungaryHodmezovasarhelyCityWithCountyRights,
    hungaryJaszHypnagykunHypszolnokCountyCounty,
    hungaryKaposvarCityWithCountyRights,
    hungaryKecskemetCityWithCountyRights,
    hungaryKomaromHypesztergomCounty,
    hungaryMiskolcCityWithCountyRights,
    hungaryNagykanizsaCityWithCountyRights,
    hungaryNogradCountyCounty,
    hungaryNyiregyhazaCityWithCountyRights,
    hungaryPecsCityWithCountyRights,
    hungaryPestCountyCounty,
    hungarySalgotarjanCityWithCountyRights,
    hungarySomogyCountyCounty,
    hungarySopronCityWithCountyRights,
    hungarySzabolcsHypszatmarHypberegCountyCounty,
    hungarySzegedCityWithCountyRights,
    hungarySzekesfehervarCityWithCountyRights,
    hungarySzekszardCityWithCountyRights,
    hungarySzolnokCityWithCountyRights,
    hungarySzombathelyCityWithCountyRights,
    hungaryTatabanyaCityWithCountyRights,
    hungaryTolnaCountyCounty,
    hungaryVasCountyCounty,
    hungaryVeszpremCityWithCountyRights,
    hungaryVeszpremCountyCounty,
    hungaryZalaCountyCounty,
    hungaryZalaegerszegCounty
  ],
  timezones: [
    Timezone(
      abbreviation: "CET",
      gmtOffset: 3600,
      gmtOffsetName: "UTC+01:00",
      tzName: "Central European Time",
      zoneName: "Europe/Budapest")
  ],
  translations: {
    "kr": "헝가리",
    "pt-BR": "Hungria",
    "pt": "Hungria",
    "nl": "Hongarije",
    "hr": "Mađarska",
    "fa": "مجارستان",
    "de": "Ungarn",
    "es": "Hungría",
    "fr": "Hongrie",
    "ja": "ハンガリー",
    "it": "Ungheria",
    "cn": "匈牙利",
    "tr": "Macaristan"
  });
