/// Access to known geographies in Indonesia and their metadata.
///
/// NOTICE: This file is auto-generated and should not be changed manually.
library;

import '../base.dart';
import 'indonesia_states.dart';

/// The country of `Indonesia`, and its 34 states
const Country indonesia = Country(
  id: 102,
  name: "Indonesia",
  longitude: 120.0,
  latitude: -5.0,
  capital: "Jakarta",
  currency: "IDR",
  currencySymbol: "Rp",
  currencyName: "Indonesian rupiah",
  emoji: "🇮🇩",
  emojiU: "U+1F1EE U+1F1E9",
  iso2: "ID",
  iso3: "IDN",
  native: "Indonesia",
  numericCode: "360",
  nationality: "Indonesian",
  phoneCode: "62",
  region: "Asia",
  subregion: "South-Eastern Asia",
  tld: ".id",
  states: [
    indonesiaAcehProvince,
    indonesiaBaliProvince,
    indonesiaBantenProvince,
    indonesiaBengkuluProvince,
    indonesiaDiYogyakartaProvince,
    indonesiaDkiJakartaCapitalDistrict,
    indonesiaGorontaloProvince,
    indonesiaJambiProvince,
    indonesiaJawaBaratProvince,
    indonesiaJawaTengahProvince,
    indonesiaJawaTimurProvince,
    indonesiaKalimantanBaratProvince,
    indonesiaKalimantanSelatanProvince,
    indonesiaKalimantanTengahProvince,
    indonesiaKalimantanTimurProvince,
    indonesiaKalimantanUtaraProvince,
    indonesiaKepulauanBangkaBelitungProvince,
    indonesiaKepulauanRiauProvince,
    indonesiaLampungProvince,
    indonesiaMalukuProvince,
    indonesiaMalukuUtaraProvince,
    indonesiaNusaTenggaraBaratProvince,
    indonesiaNusaTenggaraTimurProvince,
    indonesiaPapuaProvince,
    indonesiaPapuaBaratProvince,
    indonesiaRiauProvince,
    indonesiaSulawesiBaratProvince,
    indonesiaSulawesiSelatanProvince,
    indonesiaSulawesiTengahProvince,
    indonesiaSulawesiTenggaraProvince,
    indonesiaSulawesiUtaraProvince,
    indonesiaSumateraBaratProvince,
    indonesiaSumateraSelatanProvince,
    indonesiaSumateraUtaraProvince
  ],
  timezones: [
    Timezone(
      abbreviation: "WIB",
      gmtOffset: 25200,
      gmtOffsetName: "UTC+07:00",
      tzName: "Western Indonesian Time",
      zoneName: "Asia/Jakarta"),
    Timezone(
      abbreviation: "WIT",
      gmtOffset: 32400,
      gmtOffsetName: "UTC+09:00",
      tzName: "Eastern Indonesian Time",
      zoneName: "Asia/Jayapura"),
    Timezone(
      abbreviation: "WITA",
      gmtOffset: 28800,
      gmtOffsetName: "UTC+08:00",
      tzName: "Central Indonesia Time",
      zoneName: "Asia/Makassar"),
    Timezone(
      abbreviation: "WIB",
      gmtOffset: 25200,
      gmtOffsetName: "UTC+07:00",
      tzName: "Western Indonesian Time",
      zoneName: "Asia/Pontianak")
  ],
  translations: {
    "kr": "인도네시아",
    "pt-BR": "Indonésia",
    "pt": "Indonésia",
    "nl": "Indonesië",
    "hr": "Indonezija",
    "fa": "اندونزی",
    "de": "Indonesien",
    "es": "Indonesia",
    "fr": "Indonésie",
    "ja": "インドネシア",
    "it": "Indonesia",
    "cn": "印度尼西亚",
    "tr": "Endonezya"
  });
