/// Access to known geographies in Italy and their metadata.
///
/// NOTICE: This file is auto-generated and should not be changed manually.
library;

import '../base.dart';
import 'italy_states.dart';

/// The country of `Italy`, and its 111 states
const Country italy = Country(
  id: 107,
  name: "Italy",
  longitude: 12.83333333,
  latitude: 42.83333333,
  capital: "Rome",
  currency: "EUR",
  currencySymbol: "€",
  currencyName: "Euro",
  emoji: "🇮🇹",
  emojiU: "U+1F1EE U+1F1F9",
  iso2: "IT",
  iso3: "ITA",
  native: "Italia",
  numericCode: "380",
  nationality: "Italian",
  phoneCode: "39",
  region: "Europe",
  subregion: "Southern Europe",
  tld: ".it",
  states: [
    italyAbruzzoRegion,
    italyAgrigentoFreeMunicipalConsortium,
    italyAlessandriaProvince,
    italyAnconaProvince,
    italyAostaValleyAutonomousRegion,
    italyApuliaRegion,
    italyAscoliPicenoProvince,
    italyAstiProvince,
    italyAvellinoProvince,
    italyBarlettaHypandriaHyptraniProvince,
    italyBasilicataRegion,
    italyBellunoProvince,
    italyBeneventoProvince,
    italyBergamoProvince,
    italyBiellaProvince,
    italyBresciaProvince,
    italyBrindisiProvince,
    italyCalabriaRegion,
    italyCaltanissettaFreeMunicipalConsortium,
    italyCampaniaRegion,
    italyCampobassoProvince,
    italyCasertaProvince,
    italyCatanzaroProvince,
    italyChietiProvince,
    italyComoProvince,
    italyCosenzaProvince,
    italyCremonaProvince,
    italyCrotoneProvince,
    italyCuneoProvince,
    italyEmiliaHypromagnaRegion,
    italyEnnaFreeMunicipalConsortium,
    italyFermoProvince,
    italyFerraraProvince,
    italyFoggiaProvince,
    italyForliHypcesenaProvince,
    italyFriuliveneziaGiuliaAutonomousRegion,
    italyFrosinoneProvince,
    italyGoriziaDecentralizedRegionalEntity,
    italyGrossetoProvince,
    italyImperiaProvince,
    italyIserniaProvince,
    italyLaquilaProvince,
    italyLaSpeziaProvince,
    italyLatinaProvince,
    italyLazioRegion,
    italyLecceProvince,
    italyLeccoProvince,
    italyLiguriaRegion,
    italyLivornoProvince,
    italyLodiProvince,
    italyLombardyRegion,
    italyLuccaProvince,
    italyMacerataProvince,
    italyMantuaProvince,
    italyMarcheRegion,
    italyMassaAndCarraraProvince,
    italyMateraProvince,
    italyMedioCampidanoProvince,
    italyModenaProvince,
    italyMoliseRegion,
    italyMonzaAndBrianzaProvince,
    italyNovaraProvince,
    italyNuoroProvince,
    italyOristanoProvince,
    italyPaduaProvince,
    italyPalermoProvince,
    italyParmaProvince,
    italyPaviaProvince,
    italyPerugiaProvince,
    italyPesaroAndUrbinoProvince,
    italyPescaraProvince,
    italyPiacenzaProvince,
    italyPiedmontRegion,
    italyPisaProvince,
    italyPistoiaProvince,
    italyPordenoneDecentralizedRegionalEntity,
    italyPotenzaProvince,
    italyPratoProvince,
    italyRagusaFreeMunicipalConsortium,
    italyRavennaProvince,
    italyReggioEmiliaProvince,
    italyRietiProvince,
    italyRiminiProvince,
    italyRovigoProvince,
    italySalernoProvince,
    italySardiniaAutonomousRegion,
    italySassariProvince,
    italySavonaProvince,
    italySicilyAutonomousRegion,
    italySienaProvince,
    italySiracusaFreeMunicipalConsortium,
    italySondrioProvince,
    italySouthSardiniaProvince,
    italyTarantoProvince,
    italyTeramoProvince,
    italyTerniProvince,
    italyTrapaniFreeMunicipalConsortium,
    italyTrentinoHypsouthTyrolAutonomousRegion,
    italyTrevisoProvince,
    italyTriesteDecentralizedRegionalEntity,
    italyTuscanyRegion,
    italyUdineDecentralizedRegionalEntity,
    italyUmbriaRegion,
    italyVareseProvince,
    italyVenetoRegion,
    italyVerbanoHypcusioHypossolaProvince,
    italyVercelliProvince,
    italyVeronaProvince,
    italyViboValentiaProvince,
    italyVicenzaProvince,
    italyViterboProvince
  ],
  timezones: [
    Timezone(
      abbreviation: "CET",
      gmtOffset: 3600,
      gmtOffsetName: "UTC+01:00",
      tzName: "Central European Time",
      zoneName: "Europe/Rome")
  ],
  translations: {
    "kr": "이탈리아",
    "pt-BR": "Itália",
    "pt": "Itália",
    "nl": "Italië",
    "hr": "Italija",
    "fa": "ایتالیا",
    "de": "Italien",
    "es": "Italia",
    "fr": "Italie",
    "ja": "イタリア",
    "it": "Italia",
    "cn": "意大利",
    "tr": "İtalya"
  });
