/// Access to known geographies in Kenya and their metadata.
///
/// NOTICE: This file is auto-generated and should not be changed manually.
library;

import '../base.dart';
import 'kenya_states.dart';

/// The country of `Kenya`, and its 47 states
const Country kenya = Country(
  id: 113,
  name: "Kenya",
  longitude: 38.0,
  latitude: 1.0,
  capital: "Nairobi",
  currency: "KES",
  currencySymbol: "KSh",
  currencyName: "Kenyan shilling",
  emoji: "🇰🇪",
  emojiU: "U+1F1F0 U+1F1EA",
  iso2: "KE",
  iso3: "KEN",
  native: "Kenya",
  numericCode: "404",
  nationality: "Kenyan",
  phoneCode: "254",
  region: "Africa",
  subregion: "Eastern Africa",
  tld: ".ke",
  states: [
    kenyaBaringoCounty,
    kenyaBometCounty,
    kenyaBungomaCounty,
    kenyaBusiaCounty,
    kenyaElgeyoHypmarakwetCounty,
    kenyaEmbuCounty,
    kenyaGarissaCounty,
    kenyaHomaBayCounty,
    kenyaIsioloCounty,
    kenyaKajiadoCounty,
    kenyaKakamegaCounty,
    kenyaKerichoCounty,
    kenyaKiambuCounty,
    kenyaKilifiCounty,
    kenyaKirinyagaCounty,
    kenyaKisiiCounty,
    kenyaKisumuCounty,
    kenyaKituiCounty,
    kenyaKwaleCounty,
    kenyaLaikipiaCounty,
    kenyaLamuCounty,
    kenyaMachakosCounty,
    kenyaMakueniCounty,
    kenyaManderaCounty,
    kenyaMarsabitCounty,
    kenyaMeruCounty,
    kenyaMigoriCounty,
    kenyaMombasaCounty,
    kenyaMurangaCounty,
    kenyaNairobiCityCounty,
    kenyaNakuruCounty,
    kenyaNandiCounty,
    kenyaNarokCounty,
    kenyaNyamiraCounty,
    kenyaNyandaruaCounty,
    kenyaNyeriCounty,
    kenyaSamburuCounty,
    kenyaSiayaCounty,
    kenyaTaitatavetaCounty,
    kenyaTanaRiverCounty,
    kenyaTharakaHypnithiCounty,
    kenyaTransNzoiaCounty,
    kenyaTurkanaCounty,
    kenyaUasinGishuCounty,
    kenyaVihigaCounty,
    kenyaWajirCounty,
    kenyaWestPokotCounty
  ],
  timezones: [
    Timezone(
      abbreviation: "EAT",
      gmtOffset: 10800,
      gmtOffsetName: "UTC+03:00",
      tzName: "East Africa Time",
      zoneName: "Africa/Nairobi")
  ],
  translations: {
    "kr": "케냐",
    "pt-BR": "Quênia",
    "pt": "Quénia",
    "nl": "Kenia",
    "hr": "Kenija",
    "fa": "کنیا",
    "de": "Kenia",
    "es": "Kenia",
    "fr": "Kenya",
    "ja": "ケニア",
    "it": "Kenya",
    "cn": "肯尼亚",
    "tr": "Kenya"
  });
