/// Access to known geographies in `Kyrgyzstan` and their metadata.
///
/// NOTICE: This file is auto-generated and should not be changed manually.
library;

import '../base.dart';
import 'kyrgyzstan_cities.dart';

/// The `Batken Region` region in `Kyrgyzstan`
const Region kyrgyzstanBatkenRegion = Region(
  id: 998,
  parentId: 118,
  longitude: 69.8597406,
  latitude: 39.9721425,
  name: "Batken Region",
  type: null,
  stateCode: "B",
  cities: [
    batkenRegionAydarkenCity,
    batkenRegionBatkenCity,
    batkenRegionIradanCity,
    batkenRegionIsfanaCity,
    batkenRegionKaravanCity,
    batkenRegionKyzylHypkyyaCity,
    batkenRegionSuluktuCity
  ]);

/// The `Bishkek` region in `Kyrgyzstan`
const Region kyrgyzstanBishkek = Region(
  id: 1001,
  parentId: 118,
  longitude: 74.5697617,
  latitude: 42.8746212,
  name: "Bishkek",
  type: null,
  stateCode: "GB",
  cities: [
    bishkekBishkekCity
  ]);

/// The `Chuy Region` region in `Kyrgyzstan`
const Region kyrgyzstanChuyRegion = Region(
  id: 1004,
  parentId: 118,
  longitude: 74.4056612,
  latitude: 42.5655,
  name: "Chuy Region",
  type: null,
  stateCode: "C",
  cities: [
    chuyRegionAlamudunskiyRayonCity,
    chuyRegionBelovodskoyeCity,
    chuyRegionChuyskiyRayonCity,
    chuyRegionIvanovkaCity,
    chuyRegionKaindyCity,
    chuyRegionKantCity,
    chuyRegionKaraHypbaltaCity,
    chuyRegionKeminCity,
    chuyRegionLebedinovkaCity,
    chuyRegionSokulukskiyRayonCity,
    chuyRegionSosnovkaCity,
    chuyRegionTokmokCity,
    chuyRegionYsykHypataCity
  ]);

/// The `Issyk-Kul Region` region in `Kyrgyzstan`
const Region kyrgyzstanIssykHypkulRegion = Region(
  id: 1002,
  parentId: 118,
  longitude: 77.5619419,
  latitude: 42.1859428,
  name: "Issyk-Kul Region",
  type: null,
  stateCode: "Y",
  cities: [
    issykHypkulRegionAkHypsuuCity,
    issykHypkulRegionBalykchyCity,
    issykHypkulRegionCholponHypataCity,
    issykHypkulRegionKadzhiHypsayCity,
    issykHypkulRegionKarakolCity,
    issykHypkulRegionKyzylHypsuuCity,
    issykHypkulRegionTyupCity
  ]);

/// The `Jalal-Abad Region` region in `Kyrgyzstan`
const Region kyrgyzstanJalalHypabadRegion = Region(
  id: 1000,
  parentId: 118,
  longitude: 72.8988069,
  latitude: 41.106808,
  name: "Jalal-Abad Region",
  type: null,
  stateCode: "J",
  cities: [
    jalalHypabadRegionAlaHypbukaCity,
    jalalHypabadRegionBazarHypkorgonCity,
    jalalHypabadRegionJalalHypabadCity,
    jalalHypabadRegionKazarmanCity,
    jalalHypabadRegionKerbenCity,
    jalalHypabadRegionKochkorHypataCity,
    jalalHypabadRegionSuzakCity,
    jalalHypabadRegionTashHypkumyrCity,
    jalalHypabadRegionToktogulCity,
    jalalHypabadRegionToktogulDistrictCity
  ]);

/// The `Naryn Region` region in `Kyrgyzstan`
const Region kyrgyzstanNarynRegion = Region(
  id: 999,
  parentId: 118,
  longitude: 75.3412179,
  latitude: 41.2943227,
  name: "Naryn Region",
  type: null,
  stateCode: "N",
  cities: [
    narynRegionAtHypbashiCity,
    narynRegionJumgalCity,
    narynRegionNarynCity
  ]);

/// The `Osh` region in `Kyrgyzstan`
const Region kyrgyzstanOsh = Region(
  id: 1003,
  parentId: 118,
  longitude: -95.9182895,
  latitude: 36.0631399,
  name: "Osh",
  type: null,
  stateCode: "GO",
  cities: []);

/// The `Osh Region` region in `Kyrgyzstan`
const Region kyrgyzstanOshRegion = Region(
  id: 1005,
  parentId: 118,
  longitude: 72.8988069,
  latitude: 39.8407366,
  name: "Osh Region",
  type: null,
  stateCode: "O",
  cities: [
    oshRegionChongHypalayDistrictCity,
    oshRegionDarootHypkorgonCity,
    oshRegionKaraKuljaCity,
    oshRegionKaraSuuCity,
    oshRegionKyzylHypeshmeCity,
    oshRegionNookatCity,
    oshRegionOshCity,
    oshRegionUzgenCity,
    oshRegionUzgenDistrictCity
  ]);

/// The `Talas Region` region in `Kyrgyzstan`
const Region kyrgyzstanTalasRegion = Region(
  id: 997,
  parentId: 118,
  longitude: 72.5204827,
  latitude: 42.2867339,
  name: "Talas Region",
  type: null,
  stateCode: "T",
  cities: [
    talasRegionKaraHypbuurinskiyRayonCity,
    talasRegionTalasCity,
    talasRegionTalasskiyRayonCity
  ]);

/// The 9 states of `Kyrgyzstan` keyed by their id.
const Map<int, Region> kyrgyzstanStates = <int, Region>{
    998: kyrgyzstanBatkenRegion,
    1001: kyrgyzstanBishkek,
    1004: kyrgyzstanChuyRegion,
    1002: kyrgyzstanIssykHypkulRegion,
    1000: kyrgyzstanJalalHypabadRegion,
    999: kyrgyzstanNarynRegion,
    1003: kyrgyzstanOsh,
    1005: kyrgyzstanOshRegion,
    997: kyrgyzstanTalasRegion
  };
