/// Access to known geographies in `Micronesia` and their metadata.
///
/// NOTICE: This file is auto-generated and should not be changed manually.
library;

import '../base.dart';
import 'micronesia_cities.dart';

/// The `Chuuk State` region in `Micronesia`
const Region micronesiaChuukState = Region(
  id: 2580,
  parentId: 143,
  longitude: 151.5593065,
  latitude: 7.1386759,
  name: "Chuuk State",
  type: null,
  stateCode: "TRK",
  cities: [
    chuukStateEotMunicipalityCity,
    chuukStateEttalMunicipalityCity,
    chuukStateFananuMunicipalityCity,
    chuukStateFanapangesMunicipalityCity,
    chuukStateFefenMunicipalityCity,
    chuukStateFonotonMunicipalityCity,
    chuukStateHoukMunicipalityCity,
    chuukStateKuttuMunicipalityCity,
    chuukStateLekiniochMunicipalityCity,
    chuukStateLosapMunicipalityCity,
    chuukStateMakurMunicipalityCity,
    chuukStateMochMunicipalityCity,
    chuukStateMuriloCity,
    chuukStateMuriloMunicipalityCity,
    chuukStateNamolukMunicipalityCity,
    chuukStateNemaCity,
    chuukStateNemaMunicipalityCity,
    chuukStateNomwinMunicipalityCity,
    chuukStateOneopMunicipalityCity,
    chuukStateOnouMunicipalityCity,
    chuukStateOnounMunicipalityCity,
    chuukStatePaataHyptupunionMunicipalityCity,
    chuukStateParemMunicipalityCity,
    chuukStatePiherarhMunicipalityCity,
    chuukStatePiisHypemwarMunicipalityCity,
    chuukStatePiisHyppanewuMunicipalityCity,
    chuukStatePollapMunicipalityCity,
    chuukStatePolowatMunicipalityCity,
    chuukStatePweneMunicipalityCity,
    chuukStateRamanumMunicipalityCity,
    chuukStateRuoMunicipalityCity,
    chuukStateSatowanMunicipalityCity,
    chuukStateSiisMunicipalityCity,
    chuukStateTaMunicipalityCity,
    chuukStateTamatamMunicipalityCity,
    chuukStateTolensomMunicipalityCity,
    chuukStateTonoasMunicipalityCity,
    chuukStateUdotHypfonuweisomMunicipalityCity,
    chuukStateUmanHypfonuweisomMunicipalityCity,
    chuukStateUnanuMunicipalityCity,
    chuukStateWenoCity,
    chuukStateWenoMunicipalityCity,
    chuukStateWoneiMunicipalityCity
  ]);

/// The `Kosrae State` region in `Micronesia`
const Region micronesiaKosraeState = Region(
  id: 2583,
  parentId: 143,
  longitude: 162.9814877,
  latitude: 5.3095618,
  name: "Kosrae State",
  type: null,
  stateCode: "KSA",
  cities: [
    kosraeStateLeluMunicipalityCity,
    kosraeStateMalemMunicipalityCity,
    kosraeStateTafunsakMunicipalityCity,
    kosraeStateTofolCity,
    kosraeStateUtweMunicipalityCity
  ]);

/// The `Pohnpei State` region in `Micronesia`
const Region micronesiaPohnpeiState = Region(
  id: 2581,
  parentId: 143,
  longitude: 158.2623822,
  latitude: 6.8541254,
  name: "Pohnpei State",
  type: null,
  stateCode: "PNI",
  cities: [
    pohnpeiStateKittiMunicipalityCity,
    pohnpeiStateKoloniaCity,
    pohnpeiStateKoloniaMunicipalityCity,
    pohnpeiStateKoloniaTownCity,
    pohnpeiStateMadolenihmMunicipalityCity,
    pohnpeiStateMokilMunicipalityCity,
    pohnpeiStateNettMunicipalityCity,
    pohnpeiStateNgatikCity,
    pohnpeiStateNukuoroMunicipalityCity,
    pohnpeiStatePalikirHypNationalGovernmentCenterCity,
    pohnpeiStatePingelapMunicipalityCity,
    pohnpeiStateSapwuahfikMunicipalityCity,
    pohnpeiStateSokehsMunicipalityCity,
    pohnpeiStateUMunicipalityCity
  ]);

/// The `Yap State` region in `Micronesia`
const Region micronesiaYapState = Region(
  id: 2582,
  parentId: 143,
  longitude: 142.8439335,
  latitude: 8.671649,
  name: "Yap State",
  type: null,
  stateCode: "YAP",
  cities: [
    yapStateColoniaCity,
    yapStateDalipebinawMunicipalityCity,
    yapStateFaisCity,
    yapStateFaisMunicipalityCity,
    yapStateFanifMunicipalityCity,
    yapStateFaraulepMunicipalityCity,
    yapStateGagilMunicipalityCity,
    yapStateGilmanMunicipalityCity,
    yapStateKanifayMunicipalityCity,
    yapStateLamotrekMunicipalityCity,
    yapStateMaapMunicipalityCity,
    yapStateNguluMunicipalityCity,
    yapStateRullMunicipalityCity,
    yapStateRumungMunicipalityCity,
    yapStateSatawalMunicipalityCity,
    yapStateTomilMunicipalityCity,
    yapStateUlithiMunicipalityCity,
    yapStateWeloyMunicipalityCity,
    yapStateWoleaiMunicipalityCity
  ]);

/// The 4 states of `Micronesia` keyed by their id.
const Map<int, Region> micronesiaStates = <int, Region>{
    2580: micronesiaChuukState,
    2583: micronesiaKosraeState,
    2581: micronesiaPohnpeiState,
    2582: micronesiaYapState
  };
