/// Access to known geographies in Morocco and their metadata.
///
/// NOTICE: This file is auto-generated and should not be changed manually.
library;

import '../base.dart';
import 'morocco_states.dart';

/// The country of `Morocco`, and its 87 states
const Country morocco = Country(
  id: 149,
  name: "Morocco",
  longitude: -5.0,
  latitude: 32.0,
  capital: "Rabat",
  currency: "MAD",
  currencySymbol: "DH",
  currencyName: "Moroccan dirham",
  emoji: "🇲🇦",
  emojiU: "U+1F1F2 U+1F1E6",
  iso2: "MA",
  iso3: "MAR",
  native: "المغرب",
  numericCode: "504",
  nationality: "Moroccan",
  phoneCode: "212",
  region: "Africa",
  subregion: "Northern Africa",
  tld: ".ma",
  states: [
    moroccoAgadirHypidaHypouHyptananePrefecture,
    moroccoAlHaouzProvince,
    moroccoAlHoceimaProvince,
    moroccoAousserdehProvince,
    moroccoAssaHypzagehHyppartialProvince,
    moroccoAzilalProvince,
    moroccoBeniMellalProvince,
    moroccoBeniMellalHypkhenifraRegion,
    moroccoBenslimaneProvince,
    moroccoBerkaneProvince,
    moroccoBerrechidProvince,
    moroccoBoujdourehProvince,
    moroccoBoulemaneProvince,
    moroccoCasablancaPrefecture,
    moroccoCasablancaHypsettatRegion,
    moroccoChefchaouenProvince,
    moroccoChichaouaProvince,
    moroccoChtoukaHypaitBahaProvince,
    moroccoDakhlaHypouedEdHypdahabehRegion,
    moroccoDraaHyptafilaletRegion,
    moroccoDriouchProvince,
    moroccoElHajebProvince,
    moroccoElJadidaProvince,
    moroccoElKelaaDesSraghnaProvince,
    moroccoErrachidiaProvince,
    moroccoEsHypsemaraehHyppartialProvince,
    moroccoEssaouiraProvince,
    moroccoFahsHypanjraProvince,
    moroccoFesPrefecture,
    moroccoFesHypmeknesRegion,
    moroccoFiguigProvince,
    moroccoFquihBenSalahProvince,
    moroccoGuelmimProvince,
    moroccoGuelmimHypouedNounehHyppartialRegion,
    moroccoGuercifProvince,
    moroccoIfraneProvince,
    moroccoInezganeHypaitMelloulPrefecture,
    moroccoJeradaProvince,
    moroccoKenitraProvince,
    moroccoKhemissetProvince,
    moroccoKhenifraProvince,
    moroccoKhouribgaProvince,
    moroccoLorientalRegion,
    moroccoLaayouneehProvince,
    moroccoLaayouneHypsakiaElHamraehHyppartialRegion,
    moroccoLaracheProvince,
    moroccoMdiqHypfnideqPrefecture,
    moroccoMarrakechPrefecture,
    moroccoMarrakeshHypsafiRegion,
    moroccoMediounaProvince,
    moroccoMeknesPrefecture,
    moroccoMideltProvince,
    moroccoMohammadiaPrefecture,
    moroccoMoulayYacoubProvince,
    moroccoNadorProvince,
    moroccoNouaceurProvince,
    moroccoOuarzazateProvince,
    moroccoOuedEdHypdahabehProvince,
    moroccoOuezzaneProvince,
    moroccoOujdaHypangadPrefecture,
    moroccoRabatPrefecture,
    moroccoRabatHypsaleHypkenitraRegion,
    moroccoRehamnaProvince,
    moroccoSafiProvince,
    moroccoSalePrefecture,
    moroccoSefrouProvince,
    moroccoSettatProvince,
    moroccoSidiBennourProvince,
    moroccoSidiIfniProvince,
    moroccoSidiKacemProvince,
    moroccoSidiSlimaneProvince,
    moroccoSkhirateHyptemaraPrefecture,
    moroccoSoussHypmassaRegion,
    moroccoTanHyptanehHyppartialProvince,
    moroccoTangerHypassilahPrefecture,
    moroccoTangerHyptetouanHypalHoceimaRegion,
    moroccoTaounateProvince,
    moroccoTaourirtProvince,
    moroccoTarfayaehHyppartialProvince,
    moroccoTaroudanntProvince,
    moroccoTataProvince,
    moroccoTazaProvince,
    moroccoTetouanProvince,
    moroccoTinghirProvince,
    moroccoTiznitProvince,
    moroccoYoussoufiaProvince,
    moroccoZagoraProvince
  ],
  timezones: [
    Timezone(
      abbreviation: "WEST",
      gmtOffset: 3600,
      gmtOffsetName: "UTC+01:00",
      tzName: "Western European Summer Time",
      zoneName: "Africa/Casablanca")
  ],
  translations: {
    "kr": "모로코",
    "pt-BR": "Marrocos",
    "pt": "Marrocos",
    "nl": "Marokko",
    "hr": "Maroko",
    "fa": "مراکش",
    "de": "Marokko",
    "es": "Marruecos",
    "fr": "Maroc",
    "ja": "モロッコ",
    "it": "Marocco",
    "cn": "摩洛哥",
    "tr": "Fas"
  });
