/// Access to known geographies in `Nepal` and their metadata.
///
/// NOTICE: This file is auto-generated and should not be changed manually.
library;

import '../base.dart';
import 'nepal_cities.dart';

/// The `Bagmati Zone` region in `Nepal`
const Region nepalBagmatiZone = Region(
  id: 2082,
  parentId: 154,
  longitude: 85.4375574,
  latitude: 28.0367577,
  name: "Bagmati Zone",
  type: null,
  stateCode: "BA",
  cities: []);

/// The `Bheri Zone` region in `Nepal`
const Region nepalBheriZone = Region(
  id: 2071,
  parentId: 154,
  longitude: 81.7787021,
  latitude: 28.517456,
  name: "Bheri Zone",
  type: null,
  stateCode: "BH",
  cities: []);

/// The `Central Region` region in `Nepal`
const Region nepalCentralRegion = Region(
  id: 2073,
  parentId: 154,
  longitude: 1.7976931348623157e+308,
  latitude: 1.7976931348623157e+308,
  name: "Central Region",
  type: null,
  stateCode: "1",
  cities: [
    centralRegionBanepaCity,
    centralRegionBharatpurCity,
    centralRegionBirganjCity,
    centralRegionDhulikhelCity,
    centralRegionGaurCity,
    centralRegionHariBdrTamangHouseCity,
    centralRegionHetaudaCity,
    centralRegionJaleshwarCity,
    centralRegionJanakpurCity,
    centralRegionKankrabariDovanCity,
    centralRegionKathmanduCity,
    centralRegionKirtipurCity,
    centralRegionMadhyapurThimiCity,
    centralRegionMalangawaCity,
    centralRegionNagarkotCity,
    centralRegionPanautiCity,
    centralRegionPatanCity,
    centralRegionRamechhapCity
  ]);

/// The `Dhaulagiri Zone` region in `Nepal`
const Region nepalDhaulagiriZone = Region(
  id: 2080,
  parentId: 154,
  longitude: 83.5070203,
  latitude: 28.611176,
  name: "Dhaulagiri Zone",
  type: null,
  stateCode: "DH",
  cities: []);

/// The `Eastern Development Region` region in `Nepal`
const Region nepalEasternDevelopmentRegion = Region(
  id: 2069,
  parentId: 154,
  longitude: 87.0624261,
  latitude: 27.3309072,
  name: "Eastern Development Region",
  type: null,
  stateCode: "4",
  cities: [
    easternDevelopmentRegionBhadrapurCity,
    easternDevelopmentRegionBhojpurCity,
    easternDevelopmentRegionBiratnagarCity,
    easternDevelopmentRegionDhankutaCity,
    easternDevelopmentRegionDharanCity,
    easternDevelopmentRegionIlamCity,
    easternDevelopmentRegionInaruwaCity,
    easternDevelopmentRegionKhanbariCity,
    easternDevelopmentRegionLahanCity,
    easternDevelopmentRegionLobujyaCity,
    easternDevelopmentRegionNamcheBazarCity,
    easternDevelopmentRegionRajbirajCity,
    easternDevelopmentRegionSirahaCity,
    easternDevelopmentRegionTitahariCity,
    easternDevelopmentRegionTriyugaCity
  ]);

/// The `Far-Western Development Region` region in `Nepal`
const Region nepalFarHypwesternDevelopmentRegion = Region(
  id: 2068,
  parentId: 154,
  longitude: 80.9871074,
  latitude: 29.2987871,
  name: "Far-Western Development Region",
  type: null,
  stateCode: "5",
  cities: [
    farHypwesternDevelopmentRegionDadeldhuraCity,
    farHypwesternDevelopmentRegionDhangadhiCity,
    farHypwesternDevelopmentRegionDipayalCity,
    farHypwesternDevelopmentRegionMahendranagarCity,
    farHypwesternDevelopmentRegionTikapurCity
  ]);

/// The `Gandaki Zone` region in `Nepal`
const Region nepalGandakiZone = Region(
  id: 2081,
  parentId: 154,
  longitude: 84.4382721,
  latitude: 28.3732037,
  name: "Gandaki Zone",
  type: null,
  stateCode: "GA",
  cities: []);

/// The `Janakpur Zone` region in `Nepal`
const Region nepalJanakpurZone = Region(
  id: 2076,
  parentId: 154,
  longitude: 86.0121573,
  latitude: 27.2110899,
  name: "Janakpur Zone",
  type: null,
  stateCode: "JA",
  cities: []);

/// The `Karnali Zone` region in `Nepal`
const Region nepalKarnaliZone = Region(
  id: 2079,
  parentId: 154,
  longitude: 82.3885783,
  latitude: 29.3862555,
  name: "Karnali Zone",
  type: null,
  stateCode: "KA",
  cities: []);

/// The `Kosi Zone` region in `Nepal`
const Region nepalKosiZone = Region(
  id: 2072,
  parentId: 154,
  longitude: 87.3016132,
  latitude: 27.0536524,
  name: "Kosi Zone",
  type: null,
  stateCode: "KO",
  cities: []);

/// The `Lumbini Zone` region in `Nepal`
const Region nepalLumbiniZone = Region(
  id: 2074,
  parentId: 154,
  longitude: 83.25,
  latitude: 27.45,
  name: "Lumbini Zone",
  type: null,
  stateCode: "LU",
  cities: []);

/// The `Mahakali Zone` region in `Nepal`
const Region nepalMahakaliZone = Region(
  id: 2083,
  parentId: 154,
  longitude: 80.543845,
  latitude: 29.3601079,
  name: "Mahakali Zone",
  type: null,
  stateCode: "MA",
  cities: []);

/// The `Mechi Zone` region in `Nepal`
const Region nepalMechiZone = Region(
  id: 2070,
  parentId: 154,
  longitude: 87.9334803,
  latitude: 26.8760007,
  name: "Mechi Zone",
  type: null,
  stateCode: "ME",
  cities: []);

/// The `Mid-Western Region` region in `Nepal`
const Region nepalMidHypwesternRegion = Region(
  id: 2066,
  parentId: 154,
  longitude: -90.3832098,
  latitude: 38.4111841,
  name: "Mid-Western Region",
  type: null,
  stateCode: "2",
  cities: [
    midHypwesternRegionBhojpurCity,
    midHypwesternRegionBirendranagarCity,
    midHypwesternRegionDailekhCity,
    midHypwesternRegionGulariyaCity,
    midHypwesternRegionJumlaCity,
    midHypwesternRegionNepalgunjCity,
    midHypwesternRegionTulsipurCity
  ]);

/// The `Narayani Zone` region in `Nepal`
const Region nepalNarayaniZone = Region(
  id: 2075,
  parentId: 154,
  longitude: 84.8567932,
  latitude: 27.3611766,
  name: "Narayani Zone",
  type: null,
  stateCode: "NA",
  cities: []);

/// The `Rapti Zone` region in `Nepal`
const Region nepalRaptiZone = Region(
  id: 2077,
  parentId: 154,
  longitude: 82.3885783,
  latitude: 28.274347,
  name: "Rapti Zone",
  type: null,
  stateCode: "RA",
  cities: []);

/// The `Sagarmatha Zone` region in `Nepal`
const Region nepalSagarmathaZone = Region(
  id: 2084,
  parentId: 154,
  longitude: 86.7416374,
  latitude: 27.3238263,
  name: "Sagarmatha Zone",
  type: null,
  stateCode: "SA",
  cities: []);

/// The `Seti Zone` region in `Nepal`
const Region nepalSetiZone = Region(
  id: 2078,
  parentId: 154,
  longitude: 81.3399414,
  latitude: 29.6905427,
  name: "Seti Zone",
  type: null,
  stateCode: "SE",
  cities: []);

/// The `Western Region` region in `Nepal`
const Region nepalWesternRegion = Region(
  id: 2067,
  parentId: 154,
  longitude: 1.7976931348623157e+308,
  latitude: 1.7976931348623157e+308,
  name: "Western Region",
  type: null,
  stateCode: "3",
  cities: [
    westernRegionBaglungCity,
    westernRegionBhattaraiDandaCity,
    westernRegionButwalCity,
    westernRegionChitreCity,
    westernRegionDarchulaCity,
    westernRegionDihiCity,
    westernRegionPokharaCity,
    westernRegionSiddharthanagarCity,
    westernRegionTansenCity,
    westernRegionWalinCity
  ]);

/// The 19 states of `Nepal` keyed by their id.
const Map<int, Region> nepalStates = <int, Region>{
    2082: nepalBagmatiZone,
    2071: nepalBheriZone,
    2073: nepalCentralRegion,
    2080: nepalDhaulagiriZone,
    2069: nepalEasternDevelopmentRegion,
    2068: nepalFarHypwesternDevelopmentRegion,
    2081: nepalGandakiZone,
    2076: nepalJanakpurZone,
    2079: nepalKarnaliZone,
    2072: nepalKosiZone,
    2074: nepalLumbiniZone,
    2083: nepalMahakaliZone,
    2070: nepalMechiZone,
    2066: nepalMidHypwesternRegion,
    2075: nepalNarayaniZone,
    2077: nepalRaptiZone,
    2084: nepalSagarmathaZone,
    2078: nepalSetiZone,
    2067: nepalWesternRegion
  };
