/// Access to known geographies in New Zealand and their metadata.
///
/// NOTICE: This file is auto-generated and should not be changed manually.
library;

import '../base.dart';
import 'newzealand_states.dart';

/// The country of `New Zealand`, and its 17 states
const Country newZealand = Country(
  id: 158,
  name: "New Zealand",
  longitude: 174.0,
  latitude: -41.0,
  capital: "Wellington",
  currency: "NZD",
  currencySymbol: "\$",
  currencyName: "New Zealand dollar",
  emoji: "🇳🇿",
  emojiU: "U+1F1F3 U+1F1FF",
  iso2: "NZ",
  iso3: "NZL",
  native: "New Zealand",
  numericCode: "554",
  nationality: "New Zealand, NZ",
  phoneCode: "64",
  region: "Oceania",
  subregion: "Australia and New Zealand",
  tld: ".nz",
  states: [
    newZealandAucklandRegion,
    newZealandBayOfPlentyRegion,
    newZealandCanterburyRegion,
    newZealandChathamIslands,
    newZealandGisborneDistrict,
    newZealandHawkesBayRegion,
    newZealandManawatuHypwanganuiRegion,
    newZealandMarlboroughRegion,
    newZealandNelsonRegion,
    newZealandNorthlandRegion,
    newZealandOtagoRegion,
    newZealandSouthlandRegion,
    newZealandTaranakiRegion,
    newZealandTasmanDistrict,
    newZealandWaikatoRegion,
    newZealandWellingtonRegion,
    newZealandWestCoastRegion
  ],
  timezones: [
    Timezone(
      abbreviation: "NZDT",
      gmtOffset: 46800,
      gmtOffsetName: "UTC+13:00",
      tzName: "New Zealand Daylight Time",
      zoneName: "Pacific/Auckland"),
    Timezone(
      abbreviation: "CHAST",
      gmtOffset: 49500,
      gmtOffsetName: "UTC+13:45",
      tzName: "Chatham Standard Time",
      zoneName: "Pacific/Chatham")
  ],
  translations: {
    "kr": "뉴질랜드",
    "pt-BR": "Nova Zelândia",
    "pt": "Nova Zelândia",
    "nl": "Nieuw-Zeeland",
    "hr": "Novi Zeland",
    "fa": "نیوزیلند",
    "de": "Neuseeland",
    "es": "Nueva Zelanda",
    "fr": "Nouvelle-Zélande",
    "ja": "ニュージーランド",
    "it": "Nuova Zelanda",
    "cn": "新西兰",
    "tr": "Yeni Zelanda"
  });
