/// Access to known geographies in `New Zealand` and their metadata.
///
/// NOTICE: This file is auto-generated and should not be changed manually.
library;

import '../base.dart';
import 'newzealand_cities.dart';

/// The `Auckland Region` region in `New Zealand`
const Region newZealandAucklandRegion = Region(
  id: 4072,
  parentId: 158,
  longitude: 174.7733325,
  latitude: -36.6675328,
  name: "Auckland Region",
  type: null,
  stateCode: "AUK",
  cities: [
    aucklandRegionAucklandCity,
    aucklandRegionMangereCity,
    aucklandRegionManukauCityCity,
    aucklandRegionMuriwaiBeachCity,
    aucklandRegionMurraysBayCity,
    aucklandRegionNorthShoreCity,
    aucklandRegionPakurangaCity,
    aucklandRegionPapakuraCity,
    aucklandRegionParakaiCity,
    aucklandRegionPukekoheEastCity,
    aucklandRegionRedHillCity,
    aucklandRegionRosebankCity,
    aucklandRegionRothesayBayCity,
    aucklandRegionTakaniniCity,
    aucklandRegionTamakiCity,
    aucklandRegionTitirangiCity,
    aucklandRegionWaitakereCity,
    aucklandRegionWaiukuCity,
    aucklandRegionWarkworthCity,
    aucklandRegionWellsfordCity,
    aucklandRegionWiriCity
  ]);

/// The `Bay of Plenty Region` region in `New Zealand`
const Region newZealandBayOfPlentyRegion = Region(
  id: 4074,
  parentId: 158,
  longitude: 176.7416374,
  latitude: -37.4233917,
  name: "Bay of Plenty Region",
  type: null,
  stateCode: "BOP",
  cities: [
    bayOfPlentyRegionEdgecumbeCity,
    bayOfPlentyRegionKatikatiCity,
    bayOfPlentyRegionKawerauCity,
    bayOfPlentyRegionMaketuCity,
    bayOfPlentyRegionMuruparaCity,
    bayOfPlentyRegionOpotikiCity,
    bayOfPlentyRegionRotoruaCity,
    bayOfPlentyRegionTaurangaCity,
    bayOfPlentyRegionWaihiBeachCity,
    bayOfPlentyRegionWhakataneCity
  ]);

/// The `Canterbury Region` region in `New Zealand`
const Region newZealandCanterburyRegion = Region(
  id: 4066,
  parentId: 158,
  longitude: 171.1637245,
  latitude: -43.7542275,
  name: "Canterbury Region",
  type: null,
  stateCode: "CAN",
  cities: [
    canterburyRegionAmberleyCity,
    canterburyRegionAshburtonCity,
    canterburyRegionAshburtonDistrictCity,
    canterburyRegionBurnhamCity,
    canterburyRegionChristchurchCity,
    canterburyRegionChristchurchCityCity,
    canterburyRegionDarfieldCity,
    canterburyRegionGeraldineCity,
    canterburyRegionKaiapoiCity,
    canterburyRegionLeestonCity,
    canterburyRegionLincolnCity,
    canterburyRegionMackenzieDistrictCity,
    canterburyRegionMethvenCity,
    canterburyRegionOxfordCity,
    canterburyRegionPleasantPointCity,
    canterburyRegionPrebbletonCity,
    canterburyRegionRakaiaCity,
    canterburyRegionRollestonCity,
    canterburyRegionSelwynDistrictCity,
    canterburyRegionTimaruCity,
    canterburyRegionTimaruDistrictCity,
    canterburyRegionTinwaldCity,
    canterburyRegionWaimakaririDistrictCity,
    canterburyRegionWoodendCity
  ]);

/// The `Chatham Islands` region in `New Zealand`
const Region newZealandChathamIslands = Region(
  id: 4067,
  parentId: 158,
  longitude: -176.5400674,
  latitude: -44.0057523,
  name: "Chatham Islands",
  type: null,
  stateCode: "CIT",
  cities: [
    chathamIslandsWaitangiCity
  ]);

/// The `Gisborne District` region in `New Zealand`
const Region newZealandGisborneDistrict = Region(
  id: 4068,
  parentId: 158,
  longitude: 178.3239309,
  latitude: -38.1358174,
  name: "Gisborne District",
  type: null,
  stateCode: "GIS",
  cities: [
    gisborneDistrictGisborneCity
  ]);

/// The `Hawke's Bay Region` region in `New Zealand`
const Region newZealandHawkesBayRegion = Region(
  id: 4075,
  parentId: 158,
  longitude: 176.5804473,
  latitude: -39.6016597,
  name: "Hawke's Bay Region",
  type: null,
  stateCode: "HKB",
  cities: [
    hawkesBayRegionHastingsCity,
    hawkesBayRegionNapierCity,
    hawkesBayRegionTaradaleCity,
    hawkesBayRegionWairoaCity
  ]);

/// The `Manawatu-Wanganui Region` region in `New Zealand`
const Region newZealandManawatuHypwanganuiRegion = Region(
  id: 4060,
  parentId: 158,
  longitude: 175.4375574,
  latitude: -39.7273356,
  name: "Manawatu-Wanganui Region",
  type: null,
  stateCode: "MWT",
  cities: [
    manawatuHypwanganuiRegionBullsCity,
    manawatuHypwanganuiRegionFoxtonCity,
    manawatuHypwanganuiRegionHorowhenuaDistrictCity,
    manawatuHypwanganuiRegionLevinCity,
    manawatuHypwanganuiRegionManawatuDistrictCity,
    manawatuHypwanganuiRegionPalmerstonNorthCity,
    manawatuHypwanganuiRegionWaiouruCity,
    manawatuHypwanganuiRegionWanganuiCity
  ]);

/// The `Marlborough Region` region in `New Zealand`
const Region newZealandMarlboroughRegion = Region(
  id: 4063,
  parentId: 158,
  longitude: 173.7624053,
  latitude: -41.5916883,
  name: "Marlborough Region",
  type: null,
  stateCode: "MBH",
  cities: [
    marlboroughRegionBlenheimCity,
    marlboroughRegionPictonCity
  ]);

/// The `Nelson Region` region in `New Zealand`
const Region newZealandNelsonRegion = Region(
  id: 4070,
  parentId: 158,
  longitude: 173.2441491,
  latitude: -41.2985397,
  name: "Nelson Region",
  type: null,
  stateCode: "NSN",
  cities: [
    nelsonRegionNelsonCity
  ]);

/// The `Northland Region` region in `New Zealand`
const Region newZealandNorthlandRegion = Region(
  id: 4059,
  parentId: 158,
  longitude: 173.9320806,
  latitude: -35.4136172,
  name: "Northland Region",
  type: null,
  stateCode: "NTL",
  cities: [
    northlandRegionAhiparaCity,
    northlandRegionDargavilleCity,
    northlandRegionFarNorthDistrictCity,
    northlandRegionKaiparaDistrictCity,
    northlandRegionKaitaiaCity,
    northlandRegionKawakawaCity,
    northlandRegionKerikeriCity,
    northlandRegionMaungatapereCity,
    northlandRegionMoerewaCity,
    northlandRegionNgunguruCity,
    northlandRegionPaihiaCity,
    northlandRegionRuakakaCity,
    northlandRegionTaipaCity,
    northlandRegionWaimateNorthCity,
    northlandRegionWhangareiCity
  ]);

/// The `Otago Region` region in `New Zealand`
const Region newZealandOtagoRegion = Region(
  id: 4062,
  parentId: 158,
  longitude: 170.1547567,
  latitude: -45.4790671,
  name: "Otago Region",
  type: null,
  stateCode: "OTA",
  cities: [
    otagoRegionArrowtownCity,
    otagoRegionBalcluthaCity,
    otagoRegionCluthaDistrictCity,
    otagoRegionCromwellCity,
    otagoRegionDunedinCity,
    otagoRegionKingstonCity,
    otagoRegionMiltonCity,
    otagoRegionOamaruCity,
    otagoRegionPapatowaiCity,
    otagoRegionPortobelloCity,
    otagoRegionQueenstownCity,
    otagoRegionWanakaCity
  ]);

/// The `Southland Region` region in `New Zealand`
const Region newZealandSouthlandRegion = Region(
  id: 4071,
  parentId: 158,
  longitude: 167.6755387,
  latitude: -45.8489159,
  name: "Southland Region",
  type: null,
  stateCode: "STL",
  cities: [
    southlandRegionBluffCity,
    southlandRegionGoreCity,
    southlandRegionInvercargillCity,
    southlandRegionRivertonCity,
    southlandRegionSouthlandDistrictCity,
    southlandRegionTeAnauCity,
    southlandRegionWintonCity
  ]);

/// The `Taranaki Region` region in `New Zealand`
const Region newZealandTaranakiRegion = Region(
  id: 4069,
  parentId: 158,
  longitude: 174.4382721,
  latitude: -39.3538149,
  name: "Taranaki Region",
  type: null,
  stateCode: "TKI",
  cities: [
    taranakiRegionElthamCity,
    taranakiRegionHaweraCity,
    taranakiRegionNewPlymouthCity,
    taranakiRegionNewPlymouthDistrictCity,
    taranakiRegionOpunakeCity,
    taranakiRegionPateaCity,
    taranakiRegionSouthTaranakiDistrictCity,
    taranakiRegionWaitaraCity
  ]);

/// The `Tasman District` region in `New Zealand`
const Region newZealandTasmanDistrict = Region(
  id: 4073,
  parentId: 158,
  longitude: 172.820974,
  latitude: -41.4571184,
  name: "Tasman District",
  type: null,
  stateCode: "TAS",
  cities: [
    tasmanDistrictBrightwaterCity,
    tasmanDistrictMapuaCity,
    tasmanDistrictMotuekaCity,
    tasmanDistrictRichmondCity,
    tasmanDistrictTakakaCity,
    tasmanDistrictWakefieldCity
  ]);

/// The `Waikato Region` region in `New Zealand`
const Region newZealandWaikatoRegion = Region(
  id: 4061,
  parentId: 158,
  longitude: 175.023346,
  latitude: -37.6190862,
  name: "Waikato Region",
  type: null,
  stateCode: "WKO",
  cities: [
    waikatoRegionCambridgeCity,
    waikatoRegionCoromandelCity,
    waikatoRegionHamiltonCity,
    waikatoRegionMatamataCity,
    waikatoRegionNgaruawahiaCity,
    waikatoRegionNgateaCity,
    waikatoRegionOtorohangaCity,
    waikatoRegionPaeroaCity,
    waikatoRegionRaglanCity,
    waikatoRegionSouthWaikatoDistrictCity,
    waikatoRegionTairuaCity,
    waikatoRegionTaupoCity,
    waikatoRegionTeKauwhataCity,
    waikatoRegionThamesCity,
    waikatoRegionTokoroaCity,
    waikatoRegionTurangiCity,
    waikatoRegionWaihiCity,
    waikatoRegionWhangamataCity,
    waikatoRegionWhitiangaCity
  ]);

/// The `Wellington Region` region in `New Zealand`
const Region newZealandWellingtonRegion = Region(
  id: 4065,
  parentId: 158,
  longitude: 175.4375574,
  latitude: -41.0299323,
  name: "Wellington Region",
  type: null,
  stateCode: "WGN",
  cities: [
    wellingtonRegionBrooklynCity,
    wellingtonRegionCastlepointCity,
    wellingtonRegionKapitiCoastDistrictCity,
    wellingtonRegionKelburnCity,
    wellingtonRegionKhandallahCity,
    wellingtonRegionLowerHuttCity,
    wellingtonRegionMastertonCity,
    wellingtonRegionOtakiCity,
    wellingtonRegionParaparaumuCity,
    wellingtonRegionPetoneCity,
    wellingtonRegionPoriruaCity,
    wellingtonRegionSouthWairarapaDistrictCity,
    wellingtonRegionUpperHuttCity,
    wellingtonRegionWaipawaCity,
    wellingtonRegionWellingtonCity,
    wellingtonRegionWellingtonCityCity
  ]);

/// The `West Coast Region` region in `New Zealand`
const Region newZealandWestCoastRegion = Region(
  id: 4064,
  parentId: 158,
  longitude: -149.0729714,
  latitude: 62.4113634,
  name: "West Coast Region",
  type: null,
  stateCode: "WTC",
  cities: [
    westCoastRegionGreymouthCity,
    westCoastRegionHokitikaCity,
    westCoastRegionWestportCity
  ]);

/// The 17 states of `New Zealand` keyed by their id.
const Map<int, Region> newZealandStates = <int, Region>{
    4072: newZealandAucklandRegion,
    4074: newZealandBayOfPlentyRegion,
    4066: newZealandCanterburyRegion,
    4067: newZealandChathamIslands,
    4068: newZealandGisborneDistrict,
    4075: newZealandHawkesBayRegion,
    4060: newZealandManawatuHypwanganuiRegion,
    4063: newZealandMarlboroughRegion,
    4070: newZealandNelsonRegion,
    4059: newZealandNorthlandRegion,
    4062: newZealandOtagoRegion,
    4071: newZealandSouthlandRegion,
    4069: newZealandTaranakiRegion,
    4073: newZealandTasmanDistrict,
    4061: newZealandWaikatoRegion,
    4065: newZealandWellingtonRegion,
    4064: newZealandWestCoastRegion
  };
