/// Access to known geographies in `North Korea` and their metadata.
///
/// NOTICE: This file is auto-generated and should not be changed manually.
library;

import '../base.dart';
import 'northkorea_cities.dart';

/// The `Chagang Province` region in `North Korea`
const Region northKoreaChagangProvince = Region(
  id: 3998,
  parentId: 115,
  longitude: 126.5621137,
  latitude: 40.7202809,
  name: "Chagang Province",
  type: null,
  stateCode: "04",
  cities: [
    chagangProvinceChanggangHypgunCity,
    chagangProvinceChasongCity,
    chagangProvinceKanggyeCity,
    chagangProvinceManpoCity
  ]);

/// The `Kangwon Province` region in `North Korea`
const Region northKoreaKangwonProvince = Region(
  id: 3999,
  parentId: 115,
  longitude: 127.5597067,
  latitude: 38.8432393,
  name: "Kangwon Province",
  type: null,
  stateCode: "07",
  cities: [
    kangwonProvinceAnbyonHypupCity,
    kangwonProvinceHoeyangCity,
    kangwonProvinceKosanCity,
    kangwonProvinceTongchonHypupCity,
    kangwonProvinceWonsanCity
  ]);

/// The `North Hamgyong Province` region in `North Korea`
const Region northKoreaNorthHamgyongProvince = Region(
  id: 3995,
  parentId: 115,
  longitude: 129.4581955,
  latitude: 41.8148758,
  name: "North Hamgyong Province",
  type: null,
  stateCode: "09",
  cities: [
    northHamgyongProvinceAojiCity,
    northHamgyongProvinceChongjinCity,
    northHamgyongProvinceHauHypriCity,
    northHamgyongProvinceHoemulHypliCity,
    northHamgyongProvinceHoeryongCity,
    northHamgyongProvinceKiljuCity,
    northHamgyongProvinceKimchaekHypsiCity,
    northHamgyongProvinceKomusanIlHyptongCity,
    northHamgyongProvinceKyongsongCity,
    northHamgyongProvinceKyongwonCity,
    northHamgyongProvinceMusanHypupCity,
    northHamgyongProvinceNamyangHypdongCity,
    northHamgyongProvinceNanamCity,
    northHamgyongProvinceOnsongCity,
    northHamgyongProvincePuryongCity,
    northHamgyongProvinceSungamHypnodongjaguCity
  ]);

/// The `North Hwanghae Province` region in `North Korea`
const Region northKoreaNorthHwanghaeProvince = Region(
  id: 4004,
  parentId: 115,
  longitude: 126.4364363,
  latitude: 38.3786085,
  name: "North Hwanghae Province",
  type: null,
  stateCode: "06",
  cities: [
    northHwanghaeProvinceAnakCity,
    northHwanghaeProvinceHukkyoHypriCity,
    northHwanghaeProvinceHwangjuHypupCity,
    northHwanghaeProvinceKoksanCity,
    northHwanghaeProvinceSariwonCity,
    northHwanghaeProvinceSinmakCity,
    northHwanghaeProvinceSongnimCity
  ]);

/// The `North Pyongan Province` region in `North Korea`
const Region northKoreaNorthPyonganProvince = Region(
  id: 4002,
  parentId: 115,
  longitude: 125.3928025,
  latitude: 39.9255618,
  name: "North Pyongan Province",
  type: null,
  stateCode: "03",
  cities: [
    northPyonganProvinceChongjuCity,
    northPyonganProvinceChongjuHypgunCity,
    northPyonganProvinceKujangHypupCity,
    northPyonganProvinceKusongCity,
    northPyonganProvinceKwaksanCity,
    northPyonganProvincePanghyonHypdongCity,
    northPyonganProvincePukchilHyplodongjaguCity,
    northPyonganProvinceSakchuHypupCity,
    northPyonganProvinceSinuijuCity,
    northPyonganProvinceUijuCity,
    northPyonganProvinceYomjuHypupCity,
    northPyonganProvinceYongbyonCity
  ]);

/// The `Pyongyang` region in `North Korea`
const Region northKoreaPyongyang = Region(
  id: 4005,
  parentId: 115,
  longitude: 125.7625241,
  latitude: 39.0392193,
  name: "Pyongyang",
  type: null,
  stateCode: "01",
  cities: [
    pyongyangChunghwaCity,
    pyongyangKangdongHypupCity,
    pyongyangPyongyangCity,
    pyongyangSunanCity,
    pyongyangSungho1HyptongCity
  ]);

/// The `Rason` region in `North Korea`
const Region northKoreaRason = Region(
  id: 4001,
  parentId: 115,
  longitude: 130.2977186,
  latitude: 42.2569063,
  name: "Rason",
  type: null,
  stateCode: "13",
  cities: [
    rasonSonbongCity,
    rasonUngsangHypnodongjaguCity
  ]);

/// The `Ryanggang Province` region in `North Korea`
const Region northKoreaRyanggangProvince = Region(
  id: 3996,
  parentId: 115,
  longitude: 128.5076359,
  latitude: 41.2318921,
  name: "Ryanggang Province",
  type: null,
  stateCode: "10",
  cities: [
    ryanggangProvinceHyesanCity,
    ryanggangProvinceHyesanHypdongCity,
    ryanggangProvinceKapsanHypupCity,
    ryanggangProvinceSungjibaegamCity
  ]);

/// The `South Hamgyong Province` region in `North Korea`
const Region northKoreaSouthHamgyongProvince = Region(
  id: 4000,
  parentId: 115,
  longitude: 128.298884,
  latitude: 40.3725339,
  name: "South Hamgyong Province",
  type: null,
  stateCode: "08",
  cities: [
    southHamgyongProvinceHamhungCity,
    southHamgyongProvinceHongwonCity,
    southHamgyongProvinceHungnamCity,
    southHamgyongProvinceIwonHypupCity,
    southHamgyongProvinceKowonHypupCity,
    southHamgyongProvinceSamhoHyprodongjaguCity,
    southHamgyongProvinceSinsangHypniCity,
    southHamgyongProvinceYonggwangHypupCity,
    southHamgyongProvinceYuktaeHypdongCity
  ]);

/// The `South Hwanghae Province` region in `North Korea`
const Region northKoreaSouthHwanghaeProvince = Region(
  id: 4003,
  parentId: 115,
  longitude: 125.4781926,
  latitude: 38.2007215,
  name: "South Hwanghae Province",
  type: null,
  stateCode: "05",
  cities: [
    southHwanghaeProvinceAyangHypniCity,
    southHwanghaeProvinceChaeryongHypupCity,
    southHwanghaeProvinceChangyonCity,
    southHwanghaeProvinceHaejuCity,
    southHwanghaeProvinceKaesongCity,
    southHwanghaeProvinceOngjinCity,
    southHwanghaeProvincePyoksongHypupCity,
    southHwanghaeProvinceYonanHypupCity
  ]);

/// The `South Pyongan Province` region in `North Korea`
const Region northKoreaSouthPyonganProvince = Region(
  id: 3997,
  parentId: 115,
  longitude: 126.168271,
  latitude: 39.3539178,
  name: "South Pyongan Province",
  type: null,
  stateCode: "02",
  cities: [
    southPyonganProvinceAnjuCity,
    southPyonganProvinceNampoCity,
    southPyonganProvincePyongsongCity,
    southPyonganProvinceSangsongHypniCity,
    southPyonganProvinceSilHypliCity,
    southPyonganProvinceSinanjuCity,
    southPyonganProvinceSunchonCity,
    southPyonganProvinceYonggangHypupCity
  ]);

/// The 11 states of `North Korea` keyed by their id.
const Map<int, Region> northKoreaStates = <int, Region>{
    3998: northKoreaChagangProvince,
    3999: northKoreaKangwonProvince,
    3995: northKoreaNorthHamgyongProvince,
    4004: northKoreaNorthHwanghaeProvince,
    4002: northKoreaNorthPyonganProvince,
    4005: northKoreaPyongyang,
    4001: northKoreaRason,
    3996: northKoreaRyanggangProvince,
    4000: northKoreaSouthHamgyongProvince,
    4003: northKoreaSouthHwanghaeProvince,
    3997: northKoreaSouthPyonganProvince
  };
