/// Access to known geographies in North Macedonia and their metadata.
///
/// NOTICE: This file is auto-generated and should not be changed manually.
library;

import '../base.dart';
import 'northmacedonia_states.dart';

/// The country of `North Macedonia`, and its 84 states
const Country northMacedonia = Country(
  id: 129,
  name: "North Macedonia",
  longitude: 22.0,
  latitude: 41.83333333,
  capital: "Skopje",
  currency: "MKD",
  currencySymbol: "ден",
  currencyName: "Denar",
  emoji: "🇲🇰",
  emojiU: "U+1F1F2 U+1F1F0",
  iso2: "MK",
  iso3: "MKD",
  native: "Северна Македонија",
  numericCode: "807",
  nationality: "Macedonian",
  phoneCode: "389",
  region: "Europe",
  subregion: "Southern Europe",
  tld: ".mk",
  states: [
    northMacedoniaAerodromMunicipality,
    northMacedoniaAracinovoMunicipality,
    northMacedoniaBerovoMunicipality,
    northMacedoniaBitolaMunicipality,
    northMacedoniaBogdanciMunicipality,
    northMacedoniaBogovinjeMunicipality,
    northMacedoniaBosilovoMunicipality,
    northMacedoniaBrvenicaMunicipality,
    northMacedoniaButelMunicipality,
    northMacedoniaCairMunicipality,
    northMacedoniaCaskaMunicipality,
    northMacedoniaCentarMunicipality,
    northMacedoniaCentarZupaMunicipality,
    northMacedoniaCesinovoHypoblesevoMunicipality,
    northMacedoniaCucerHypsandevoMunicipality,
    northMacedoniaDebarcaMunicipality,
    northMacedoniaDelcevoMunicipality,
    northMacedoniaDemirHisarMunicipality,
    northMacedoniaDemirKapijaMunicipality,
    northMacedoniaDojranMunicipality,
    northMacedoniaDolneniMunicipality,
    northMacedoniaDrugovoMunicipality,
    northMacedoniaGaziBabaMunicipality,
    northMacedoniaGevgelijaMunicipality,
    northMacedoniaGjorcePetrovMunicipality,
    northMacedoniaGostivarMunicipality,
    northMacedoniaGradskoMunicipality,
    northMacedoniaGreaterSkopje,
    northMacedoniaIlindenMunicipality,
    northMacedoniaJegunovceMunicipality,
    northMacedoniaKarbinci,
    northMacedoniaKarposMunicipality,
    northMacedoniaKavadarciMunicipality,
    northMacedoniaKicevoMunicipality,
    northMacedoniaKiselaVodaMunicipality,
    northMacedoniaKocaniMunicipality,
    northMacedoniaKonceMunicipality,
    northMacedoniaKratovoMunicipality,
    northMacedoniaKrivaPalankaMunicipality,
    northMacedoniaKrivogastaniMunicipality,
    northMacedoniaKrusevoMunicipality,
    northMacedoniaKumanovoMunicipality,
    northMacedoniaLipkovoMunicipality,
    northMacedoniaLozovoMunicipality,
    northMacedoniaMakedonskaKamenicaMunicipality,
    northMacedoniaMakedonskiBrodMunicipality,
    northMacedoniaMavrovoAndRostusaMunicipality,
    northMacedoniaMogilaMunicipality,
    northMacedoniaNegotinoMunicipality,
    northMacedoniaNovaciMunicipality,
    northMacedoniaNovoSeloMunicipality,
    northMacedoniaOhridMunicipality,
    northMacedoniaOslomejMunicipality,
    northMacedoniaPehcevoMunicipality,
    northMacedoniaPetrovecMunicipality,
    northMacedoniaPlasnicaMunicipality,
    northMacedoniaPrilepMunicipality,
    northMacedoniaProbistipMunicipality,
    northMacedoniaRadovisMunicipality,
    northMacedoniaRankovceMunicipality,
    northMacedoniaResenMunicipality,
    northMacedoniaRosomanMunicipality,
    northMacedoniaSarajMunicipality,
    northMacedoniaSopisteMunicipality,
    northMacedoniaStaroNagoricaneMunicipality,
    northMacedoniaStipMunicipality,
    northMacedoniaStrugaMunicipality,
    northMacedoniaStrumicaMunicipality,
    northMacedoniaStudenicaniMunicipality,
    northMacedoniaSutoOrizariMunicipality,
    northMacedoniaSvetiNikoleMunicipality,
    northMacedoniaTearceMunicipality,
    northMacedoniaTetovoMunicipality,
    northMacedoniaValandovoMunicipality,
    northMacedoniaVasilevoMunicipality,
    northMacedoniaVelesMunicipality,
    northMacedoniaVevcaniMunicipality,
    northMacedoniaVinicaMunicipality,
    northMacedoniaVranesticaMunicipality,
    northMacedoniaVrapcisteMunicipality,
    northMacedoniaZajasMunicipality,
    northMacedoniaZelenikovoMunicipality,
    northMacedoniaZelinoMunicipality,
    northMacedoniaZrnovciMunicipality
  ],
  timezones: [
    Timezone(
      abbreviation: "CET",
      gmtOffset: 3600,
      gmtOffsetName: "UTC+01:00",
      tzName: "Central European Time",
      zoneName: "Europe/Skopje")
  ],
  translations: {
    "kr": "북마케도니아",
    "pt-BR": "Macedônia do Norte",
    "pt": "Macedónia do Norte",
    "nl": "Noord-Macedonië",
    "hr": "Sjeverna Makedonija",
    "fa": "ﻢﻗﺩﻮﻨﯿﻫ ﺶﻣﺎﻠﯾ",
    "de": "Nordmazedonien",
    "es": "Macedonia del Norte",
    "fr": "Macédoine du Nord",
    "ja": "北マケドニア",
    "it": "Macedonia del Nord",
    "cn": "北馬其頓",
    "tr": "Kuzey Makedonya"
  });
