/// Access to known geographies in Oman and their metadata.
///
/// NOTICE: This file is auto-generated and should not be changed manually.
library;

import '../base.dart';
import 'oman_states.dart';

/// The country of `Oman`, and its 13 states
const Country oman = Country(
  id: 166,
  name: "Oman",
  longitude: 57.0,
  latitude: 21.0,
  capital: "Muscat",
  currency: "OMR",
  currencySymbol: ".ع.ر",
  currencyName: "Omani rial",
  emoji: "🇴🇲",
  emojiU: "U+1F1F4 U+1F1F2",
  iso2: "OM",
  iso3: "OMN",
  native: "عمان",
  numericCode: "512",
  nationality: "Omani",
  phoneCode: "968",
  region: "Asia",
  subregion: "Western Asia",
  tld: ".om",
  states: [
    omanAdDakhiliyah,
    omanAdDhahirah,
    omanAlBatinahNorth,
    omanAlBatinahRegion,
    omanAlBatinahSouth,
    omanAlBuraimi,
    omanAlWusta,
    omanAshSharqiyahNorth,
    omanAshSharqiyahRegion,
    omanAshSharqiyahSouth,
    omanDhofar,
    omanMusandam,
    omanMuscat
  ],
  timezones: [
    Timezone(
      abbreviation: "GST",
      gmtOffset: 14400,
      gmtOffsetName: "UTC+04:00",
      tzName: "Gulf Standard Time",
      zoneName: "Asia/Muscat")
  ],
  translations: {
    "kr": "오만",
    "pt-BR": "Omã",
    "pt": "Omã",
    "nl": "Oman",
    "hr": "Oman",
    "fa": "عمان",
    "de": "Oman",
    "es": "Omán",
    "fr": "Oman",
    "ja": "オマーン",
    "it": "oman",
    "cn": "阿曼",
    "tr": "Umman"
  });
