/// Access to known geographies in Philippines and their metadata.
///
/// NOTICE: This file is auto-generated and should not be changed manually.
library;

import '../base.dart';
import 'philippines_states.dart';

/// The country of `Philippines`, and its 98 states
const Country philippines = Country(
  id: 174,
  name: "Philippines",
  longitude: 122.0,
  latitude: 13.0,
  capital: "Manila",
  currency: "PHP",
  currencySymbol: "₱",
  currencyName: "Philippine peso",
  emoji: "🇵🇭",
  emojiU: "U+1F1F5 U+1F1ED",
  iso2: "PH",
  iso3: "PHL",
  native: "Pilipinas",
  numericCode: "608",
  nationality: "Philippine, Filipino",
  phoneCode: "63",
  region: "Asia",
  subregion: "South-Eastern Asia",
  tld: ".ph",
  states: [
    philippinesAbraProvince,
    philippinesAgusanDelNorteProvince,
    philippinesAgusanDelSurProvince,
    philippinesAklanProvince,
    philippinesAlbayProvince,
    philippinesAntiqueProvince,
    philippinesApayaoProvince,
    philippinesAuroraProvince,
    philippinesAutonomousRegionInMuslimMindanaoRegion,
    philippinesBasilanProvince,
    philippinesBataanProvince,
    philippinesBatanesProvince,
    philippinesBatangasProvince,
    philippinesBenguetProvince,
    philippinesBicolRegion,
    philippinesBiliranProvince,
    philippinesBoholProvince,
    philippinesBukidnonProvince,
    philippinesBulacanProvince,
    philippinesCagayanProvince,
    philippinesCagayanValleyRegion,
    philippinesCalabarzonRegion,
    philippinesCamarinesNorteProvince,
    philippinesCamarinesSurProvince,
    philippinesCamiguinProvince,
    philippinesCapizProvince,
    philippinesCaragaRegion,
    philippinesCatanduanesProvince,
    philippinesCaviteProvince,
    philippinesCebuProvince,
    philippinesCentralLuzonRegion,
    philippinesCentralVisayasRegion,
    philippinesCompostelaValleyProvince,
    philippinesCordilleraAdministrativeRegion,
    philippinesCotabatoProvince,
    philippinesDavaoRegion,
    philippinesDavaoDelNorteProvince,
    philippinesDavaoDelSurProvince,
    philippinesDavaoOccidentalProvince,
    philippinesDavaoOrientalProvince,
    philippinesDinagatIslandsProvince,
    philippinesEasternSamarProvince,
    philippinesEasternVisayasRegion,
    philippinesGuimarasProvince,
    philippinesIfugaoProvince,
    philippinesIlocosRegion,
    philippinesIlocosNorteProvince,
    philippinesIlocosSurProvince,
    philippinesIloiloProvince,
    philippinesIsabelaProvince,
    philippinesKalingaProvince,
    philippinesLaUnionProvince,
    philippinesLagunaProvince,
    philippinesLanaoDelNorteProvince,
    philippinesLanaoDelSurProvince,
    philippinesLeyteProvince,
    philippinesMaguindanaoProvince,
    philippinesMarinduqueProvince,
    philippinesMasbateProvince,
    philippinesMetroManilaProvince,
    philippinesMimaropaRegion,
    philippinesMisamisOccidentalProvince,
    philippinesMisamisOrientalProvince,
    philippinesMountainProvinceProvince,
    philippinesNegrosOccidentalProvince,
    philippinesNegrosOrientalProvince,
    philippinesNorthernMindanaoRegion,
    philippinesNorthernSamarProvince,
    philippinesNuevaEcijaProvince,
    philippinesNuevaVizcayaProvince,
    philippinesOccidentalMindoroProvince,
    philippinesOrientalMindoroProvince,
    philippinesPalawanProvince,
    philippinesPampangaProvince,
    philippinesPangasinanProvince,
    philippinesQuezonProvince,
    philippinesQuirinoProvince,
    philippinesRizalProvince,
    philippinesRomblonProvince,
    philippinesSaranganiProvince,
    philippinesSiquijorProvince,
    philippinesSoccsksargenRegion,
    philippinesSorsogonProvince,
    philippinesSouthCotabatoProvince,
    philippinesSouthernLeyteProvince,
    philippinesSultanKudaratProvince,
    philippinesSuluProvince,
    philippinesSurigaoDelNorteProvince,
    philippinesSurigaoDelSurProvince,
    philippinesTarlacProvince,
    philippinesTawiHyptawiProvince,
    philippinesWesternSamarProvince,
    philippinesWesternVisayasRegion,
    philippinesZambalesProvince,
    philippinesZamboangaDelNorteProvince,
    philippinesZamboangaDelSurProvince,
    philippinesZamboangaPeninsulaRegion,
    philippinesZamboangaSibugayProvince
  ],
  timezones: [
    Timezone(
      abbreviation: "PHT",
      gmtOffset: 28800,
      gmtOffsetName: "UTC+08:00",
      tzName: "Philippine Time",
      zoneName: "Asia/Manila")
  ],
  translations: {
    "kr": "필리핀",
    "pt-BR": "Filipinas",
    "pt": "Filipinas",
    "nl": "Filipijnen",
    "hr": "Filipini",
    "fa": "جزایر الندفیلیپین",
    "de": "Philippinen",
    "es": "Filipinas",
    "fr": "Philippines",
    "ja": "フィリピン",
    "it": "Filippine",
    "cn": "菲律宾",
    "tr": "Filipinler"
  });
