/// Access to known geographies in Poland and their metadata.
///
/// NOTICE: This file is auto-generated and should not be changed manually.
library;

import '../base.dart';
import 'poland_states.dart';

/// The country of `Poland`, and its 16 states
const Country poland = Country(
  id: 176,
  name: "Poland",
  longitude: 20.0,
  latitude: 52.0,
  capital: "Warsaw",
  currency: "PLN",
  currencySymbol: "zł",
  currencyName: "Polish złoty",
  emoji: "🇵🇱",
  emojiU: "U+1F1F5 U+1F1F1",
  iso2: "PL",
  iso3: "POL",
  native: "Polska",
  numericCode: "616",
  nationality: "Polish",
  phoneCode: "48",
  region: "Europe",
  subregion: "Eastern Europe",
  tld: ".pl",
  states: [
    polandGreaterPolandVoivodeship,
    polandKuyavianHyppomeranianVoivodeship,
    polandLesserPolandVoivodeship,
    polandLowerSilesianVoivodeship,
    polandLublinVoivodeship,
    polandLubuszVoivodeship,
    polandLodzVoivodeship,
    polandMasovianVoivodeship,
    polandOpoleVoivodeship,
    polandPodkarpackieVoivodeship,
    polandPodlaskieVoivodeship,
    polandPomeranianVoivodeship,
    polandSilesianVoivodeship,
    polandSwietokrzyskieVoivodeship,
    polandWarmianHypmasurianVoivodeship,
    polandWestPomeranianVoivodeship
  ],
  timezones: [
    Timezone(
      abbreviation: "CET",
      gmtOffset: 3600,
      gmtOffsetName: "UTC+01:00",
      tzName: "Central European Time",
      zoneName: "Europe/Warsaw")
  ],
  translations: {
    "kr": "폴란드",
    "pt-BR": "Polônia",
    "pt": "Polónia",
    "nl": "Polen",
    "hr": "Poljska",
    "fa": "لهستان",
    "de": "Polen",
    "es": "Polonia",
    "fr": "Pologne",
    "ja": "ポーランド",
    "it": "Polonia",
    "cn": "波兰",
    "tr": "Polonya"
  });
