/// Access to known geographies in Puerto Rico and their metadata.
///
/// NOTICE: This file is auto-generated and should not be changed manually.
library;

import '../base.dart';
import 'puertorico_states.dart';

/// The country of `Puerto Rico`, and its 88 states
const Country puertoRico = Country(
  id: 178,
  name: "Puerto Rico",
  longitude: -66.5,
  latitude: 18.25,
  capital: "San Juan",
  currency: "USD",
  currencySymbol: "\$",
  currencyName: "United States dollar",
  emoji: "🇵🇷",
  emojiU: "U+1F1F5 U+1F1F7",
  iso2: "PR",
  iso3: "PRI",
  native: "Puerto Rico",
  numericCode: "630",
  nationality: "Puerto Rican",
  phoneCode: "+1-787 and 1-939",
  region: "Americas",
  subregion: "Caribbean",
  tld: ".pr",
  states: [
    puertoRicoAdjuntasMunicipalities,
    puertoRicoAguadaMunicipalities,
    puertoRicoAguadillaMunicipalities,
    puertoRicoAguasBuenasMunicipalities,
    puertoRicoAibonitoMunicipalities,
    puertoRicoAnascoMunicipalities,
    puertoRicoAreciboMunicipalities,
    puertoRicoAreciboRegion,
    puertoRicoArroyoMunicipalities,
    puertoRicoBarcelonetaMunicipalities,
    puertoRicoBarranquitasMunicipalities,
    puertoRicoBayamonRegion,
    puertoRicoBayamonMunicipalities,
    puertoRicoCaboRojoMunicipalities,
    puertoRicoCaguasRegion,
    puertoRicoCaguasMunicipalities,
    puertoRicoCamuyMunicipalities,
    puertoRicoCanovanasMunicipalities,
    puertoRicoCarolinaRegion,
    puertoRicoCarolinaMunicipalities,
    puertoRicoCatanoMunicipalities,
    puertoRicoCayeyMunicipalities,
    puertoRicoCeibaMunicipalities,
    puertoRicoCialesMunicipalities,
    puertoRicoCidraMunicipalities,
    puertoRicoCoamoMunicipalities,
    puertoRicoComerioMunicipalities,
    puertoRicoCorozalMunicipalities,
    puertoRicoCulebraMunicipalities,
    puertoRicoDoradoMunicipalities,
    puertoRicoFajardoMunicipalities,
    puertoRicoFloridaMunicipalities,
    puertoRicoGuanicaMunicipalities,
    puertoRicoGuayamaMunicipalities,
    puertoRicoGuayanillaMunicipalities,
    puertoRicoGuaynaboRegion,
    puertoRicoGuaynaboMunicipalities,
    puertoRicoGuraboMunicipalities,
    puertoRicoHatilloMunicipalities,
    puertoRicoHormiguerosMunicipalities,
    puertoRicoHumacaoMunicipalities,
    puertoRicoIsabelaMunicipalities,
    puertoRicoJayuyaMunicipalities,
    puertoRicoJuanaDiazMunicipalities,
    puertoRicoJuncosMunicipalities,
    puertoRicoLajasMunicipalities,
    puertoRicoLaresMunicipalities,
    puertoRicoLasMariasMunicipalities,
    puertoRicoLasPiedrasMunicipalities,
    puertoRicoLoizaMunicipalities,
    puertoRicoLuquilloMunicipalities,
    puertoRicoManatiMunicipalities,
    puertoRicoMaricaoMunicipalities,
    puertoRicoMaunaboMunicipalities,
    puertoRicoMayaguezRegion,
    puertoRicoMayaguezMunicipalities,
    puertoRicoMocaMunicipalities,
    puertoRicoMorovisMunicipalities,
    puertoRicoNaguaboMunicipalities,
    puertoRicoNaranjitoMunicipalities,
    puertoRicoOrocovisMunicipalities,
    puertoRicoPatillasMunicipalities,
    puertoRicoPenuelasMunicipalities,
    puertoRicoPonceRegion,
    puertoRicoPonceMunicipalities,
    puertoRicoQuebradillasMunicipalities,
    puertoRicoRinconMunicipalities,
    puertoRicoRioGrandeMunicipalities,
    puertoRicoSabanaGrandeMunicipalities,
    puertoRicoSalinasMunicipalities,
    puertoRicoSanGermanMunicipalities,
    puertoRicoSanJuanMunicipalities,
    puertoRicoSanJuanRegion,
    puertoRicoSanLorenzoMunicipalities,
    puertoRicoSanSebastianMunicipalities,
    puertoRicoSantaIsabelMunicipalities,
    puertoRicoToaAltaMunicipalities,
    puertoRicoToaBajaRegion,
    puertoRicoToaBajaMunicipalities,
    puertoRicoTrujilloAltoRegion,
    puertoRicoTrujilloAltoMunicipalities,
    puertoRicoUtuadoMunicipalities,
    puertoRicoVegaAltaMunicipalities,
    puertoRicoVegaBajaMunicipalities,
    puertoRicoViequesMunicipalities,
    puertoRicoVillalbaMunicipalities,
    puertoRicoYabucoaMunicipalities,
    puertoRicoYaucoMunicipalities
  ],
  timezones: [
    Timezone(
      abbreviation: "AST",
      gmtOffset: -14400,
      gmtOffsetName: "UTC-04:00",
      tzName: "Atlantic Standard Time",
      zoneName: "America/Puerto_Rico")
  ],
  translations: {
    "kr": "푸에르토리코",
    "pt-BR": "Porto Rico",
    "pt": "Porto Rico",
    "nl": "Puerto Rico",
    "hr": "Portoriko",
    "fa": "پورتو ریکو",
    "de": "Puerto Rico",
    "es": "Puerto Rico",
    "fr": "Porto Rico",
    "ja": "プエルトリコ",
    "it": "Porto Rico",
    "cn": "波多黎各",
    "tr": "Porto Riko"
  });
