/// Access to known geographies in `Sierra Leone` and their metadata.
///
/// NOTICE: This file is auto-generated and should not be changed manually.
library;

import '../base.dart';
import 'sierraleone_cities.dart';

/// The `Eastern Province` region in `Sierra Leone`
const Region sierraLeoneEasternProvince = Region(
  id: 914,
  parentId: 198,
  longitude: 1.7976931348623157e+308,
  latitude: 1.7976931348623157e+308,
  name: "Eastern Province",
  type: null,
  stateCode: "E",
  cities: [
    easternProvinceBarmaCity,
    easternProvinceBlamaCity,
    easternProvinceBoajibuCity,
    easternProvinceBueduCity,
    easternProvinceBunumbuCity,
    easternProvinceDaruCity,
    easternProvinceGiehunCity,
    easternProvinceGorahunCity,
    easternProvinceHanghaCity,
    easternProvinceJojoimaCity,
    easternProvinceKailahunCity,
    easternProvinceKailahunDistrictCity,
    easternProvinceKayimaCity,
    easternProvinceKenemaCity,
    easternProvinceKenemaDistrictCity,
    easternProvinceKoiduCity,
    easternProvinceKonoDistrictCity,
    easternProvinceKoyimaCity,
    easternProvinceManowaCity,
    easternProvinceMobaiCity,
    easternProvinceMotemaCity,
    easternProvincePangumaCity,
    easternProvincePendembuCity,
    easternProvinceSegbwemaCity,
    easternProvinceSimbakoroCity,
    easternProvinceTefeyaCity,
    easternProvinceTomboduCity,
    easternProvinceTombuCity,
    easternProvinceWimaCity,
    easternProvinceYengemaCity
  ]);

/// The `Northern Province` region in `Sierra Leone`
const Region sierraLeoneNorthernProvince = Region(
  id: 911,
  parentId: 198,
  longitude: 1.7976931348623157e+308,
  latitude: 1.7976931348623157e+308,
  name: "Northern Province",
  type: null,
  stateCode: "N",
  cities: [
    northernProvinceAlikaliaCity,
    northernProvinceBindiCity,
    northernProvinceBinkoloCity,
    northernProvinceBombaliDistrictCity,
    northernProvinceBumbunaCity,
    northernProvinceGberiaFotombuCity,
    northernProvinceKabalaCity,
    northernProvinceKamakwieCity,
    northernProvinceKambiaCity,
    northernProvinceKassiriCity,
    northernProvinceKoinaduguDistrictCity,
    northernProvinceKonakrideeCity,
    northernProvinceKukunaCity,
    northernProvinceLomaCity,
    northernProvinceLunsarCity,
    northernProvinceMagburakaCity,
    northernProvinceMakaliCity,
    northernProvinceMakeniCity,
    northernProvinceMamboloCity,
    northernProvinceMangeCity,
    northernProvinceMasakaCity,
    northernProvinceMasingbiCity,
    northernProvinceMasoyilaCity,
    northernProvincePepelCity,
    northernProvinceRokuprCity,
    northernProvinceSawktaCity,
    northernProvinceSeiduCity,
    northernProvinceTintaforCity,
    northernProvinceTonkoliliDistrictCity,
    northernProvinceYonibanaCity
  ]);

/// The `Southern Province` region in `Sierra Leone`
const Region sierraLeoneSouthernProvince = Region(
  id: 912,
  parentId: 198,
  longitude: 1.7976931348623157e+308,
  latitude: 1.7976931348623157e+308,
  name: "Southern Province",
  type: null,
  stateCode: "S",
  cities: [
    southernProvinceBaiimaCity,
    southernProvinceBaomaCity,
    southernProvinceBoCity,
    southernProvinceBoDistrictCity,
    southernProvinceBomiCity,
    southernProvinceBontheCity,
    southernProvinceBontheDistrictCity,
    southernProvinceBumpeCity,
    southernProvinceFoinduCity,
    southernProvinceGandorhunCity,
    southernProvinceGbewebuCity,
    southernProvinceKoribunduCity,
    southernProvinceLargoCity,
    southernProvinceMambomaCity,
    southernProvinceMogbwemoCity,
    southernProvinceMoyambaCity,
    southernProvinceMoyambaDistrictCity,
    southernProvincePalimaCity,
    southernProvincePotoruCity,
    southernProvincePujehunCity,
    southernProvincePujehunDistrictCity,
    southernProvinceRotifunkCity,
    southernProvinceSerabuCity,
    southernProvinceSumbuyaCity,
    southernProvinceTongoleCity,
    southernProvinceZimmiCity
  ]);

/// The `Western Area` region in `Sierra Leone`
const Region sierraLeoneWesternArea = Region(
  id: 913,
  parentId: 198,
  longitude: -80.2455444,
  latitude: 40.2545969,
  name: "Western Area",
  type: null,
  stateCode: "W",
  cities: [
    westernAreaFreetownCity,
    westernAreaHastingsCity,
    westernAreaKentCity,
    westernAreaWaterlooCity
  ]);

/// The 4 states of `Sierra Leone` keyed by their id.
const Map<int, Region> sierraLeoneStates = <int, Region>{
    914: sierraLeoneEasternProvince,
    911: sierraLeoneNorthernProvince,
    912: sierraLeoneSouthernProvince,
    913: sierraLeoneWesternArea
  };
