/// Access to known geographies in `South Africa` and their metadata.
///
/// NOTICE: This file is auto-generated and should not be changed manually.
library;

import '../base.dart';
import 'southafrica_cities.dart';

/// The `Eastern Cape` region in `South Africa`
const Region southAfricaEasternCape = Region(
  id: 938,
  parentId: 204,
  longitude: 26.419389,
  latitude: -32.2968402,
  name: "Eastern Cape",
  type: null,
  stateCode: "EC",
  cities: [
    easternCapeAdelaideCity,
    easternCapeAlfredNzoDistrictMunicipalityCity,
    easternCapeAliceCity,
    easternCapeAliwalNorthCity,
    easternCapeAmatholeDistrictMunicipalityCity,
    easternCapeBhishoCity,
    easternCapeBuffaloCityMetropolitanMunicipalityCity,
    easternCapeBurgersdorpCity,
    easternCapeButterworthCity,
    easternCapeCacaduDistrictMunicipalityCity,
    easternCapeChrisHaniDistrictMunicipalityCity,
    easternCapeCradockCity,
    easternCapeDordrechtCity,
    easternCapeEastLondonCity,
    easternCapeElliotCity,
    easternCapeFortBeaufortCity,
    easternCapeGraaffHypreinetCity,
    easternCapeGrahamstownCity,
    easternCapeIlingeCity,
    easternCapeJoeGqabiDistrictMunicipalityCity,
    easternCapeKirkwoodCity,
    easternCapeKruisfonteinCity,
    easternCapeLadyFrereCity,
    easternCapeMiddelburgCity,
    easternCapeMoltenoCity,
    easternCapeMthathaCity,
    easternCapeNelsonMandelaBayMetropolitanMunicipalityCity,
    easternCapeOrTamboDistrictMunicipalityCity,
    easternCapePortAlfredCity,
    easternCapePortElizabethCity,
    easternCapePortSaintJohnsCity,
    easternCapeQueensdaleCity,
    easternCapeQueenstownCity,
    easternCapeSomersetEastCity,
    easternCapeStutterheimCity,
    easternCapeUitenhageCity,
    easternCapeWhittleseaCity,
    easternCapeWillowmoreCity
  ]);

/// The `Free State` region in `South Africa`
const Region southAfricaFreeState = Region(
  id: 932,
  parentId: 204,
  longitude: -97.2811256,
  latitude: 37.6858525,
  name: "Free State",
  type: null,
  stateCode: "FS",
  cities: [
    freeStateAllanridgeCity,
    freeStateBethlehemCity,
    freeStateBloemfonteinCity,
    freeStateBothavilleCity,
    freeStateBotshabeloCity,
    freeStateBrandfortCity,
    freeStateClocolanCity,
    freeStateDeneysvilleCity,
    freeStateFezileDabiDistrictMunicipalityCity,
    freeStateFrankfortCity,
    freeStateHarrismithCity,
    freeStateHeilbronCity,
    freeStateHennenmanCity,
    freeStateHoopstadCity,
    freeStateKoppiesCity,
    freeStateKroonstadCity,
    freeStateKutloanongCity,
    freeStateLadybrandCity,
    freeStateLejweleputswaDistrictMunicipalityCity,
    freeStateLindleyCity,
    freeStateMangaungMetropolitanMunicipalityCity,
    freeStateMarquardCity,
    freeStateParysCity,
    freeStatePhuthaditjhabaCity,
    freeStateReitzCity,
    freeStateSasolburgCity,
    freeStateSenekalCity,
    freeStateThabaNchuCity,
    freeStateThaboMofutsanyanaDistrictMunicipalityCity,
    freeStateTheunissenCity,
    freeStateVentersburgCity,
    freeStateViljoenskroonCity,
    freeStateVilliersCity,
    freeStateVirginiaCity,
    freeStateVredeCity,
    freeStateVredefortCity,
    freeStateWelkomCity,
    freeStateWesselsbronCity,
    freeStateWinburgCity,
    freeStateXhariepDistrictMunicipalityCity,
    freeStateZastronCity
  ]);

/// The `Gauteng` region in `South Africa`
const Region southAfricaGauteng = Region(
  id: 936,
  parentId: 204,
  longitude: 28.1122679,
  latitude: -26.2707593,
  name: "Gauteng",
  type: null,
  stateCode: "GP",
  cities: [
    gautengAlbertonCity,
    gautengBenoniCity,
    gautengBoksburgCity,
    gautengBrakpanCity,
    gautengBronkhorstspruitCity,
    gautengCarletonvilleCity,
    gautengCenturionCity,
    gautengCityOfJohannesburgMetropolitanMunicipalityCity,
    gautengCityOfTshwaneMetropolitanMunicipalityCity,
    gautengCullinanCity,
    gautengDiepslootCity,
    gautengEastleighCity,
    gautengEdenGlenCity,
    gautengEdenGlenExt60City,
    gautengEdenvaleCity,
    gautengEkangalaCity,
    gautengEkurhuleniMetropolitanMunicipalityCity,
    gautengHeidelbergCity,
    gautengJohannesburgCity,
    gautengKrugersdorpCity,
    gautengMabopaneCity,
    gautengMidrandCity,
    gautengMidstreamCity,
    gautengModderfonteinCity,
    gautengMuldersdriseloopCity,
    gautengNigelCity,
    gautengOrangeFarmCity,
    gautengPretoriaCity,
    gautengRandburgCity,
    gautengRandfonteinCity,
    gautengRoodepoortCity,
    gautengSedibengDistrictMunicipalityCity,
    gautengSowetoCity,
    gautengSpringsCity,
    gautengTembisaCity,
    gautengVanderbijlparkCity,
    gautengVereenigingCity,
    gautengWestRandDistrictMunicipalityCity,
    gautengWestonariaCity
  ]);

/// The `KwaZulu-Natal` region in `South Africa`
const Region southAfricaKwazuluHypnatal = Region(
  id: 935,
  parentId: 204,
  longitude: 30.8958242,
  latitude: -28.5305539,
  name: "KwaZulu-Natal",
  type: null,
  stateCode: "KZN",
  cities: [
    kwazuluHypnatalAmajubaDistrictMunicipalityCity,
    kwazuluHypnatalBallitoCity,
    kwazuluHypnatalBereaCity,
    kwazuluHypnatalDundeeCity,
    kwazuluHypnatalDurbanCity,
    kwazuluHypnatalEkuvukeniCity,
    kwazuluHypnatalEmkhomaziCity,
    kwazuluHypnatalEmpangeniCity,
    kwazuluHypnatalEshoweCity,
    kwazuluHypnatalEsikhaleniCity,
    kwazuluHypnatalEthekwiniMetropolitanMunicipalityCity,
    kwazuluHypnatalGlencoeCity,
    kwazuluHypnatalGreytownCity,
    kwazuluHypnatalHluhluweCity,
    kwazuluHypnatalHowickCity,
    kwazuluHypnatalIlembeDistrictMunicipalityCity,
    kwazuluHypnatalKokstadCity,
    kwazuluHypnatalKwadukuzaCity,
    kwazuluHypnatalMargateCity,
    kwazuluHypnatalMondloCity,
    kwazuluHypnatalMooirivierCity,
    kwazuluHypnatalMpophomeniCity,
    kwazuluHypnatalMpumalangaCity,
    kwazuluHypnatalMtubatubaCity,
    kwazuluHypnatalNdwedweCity,
    kwazuluHypnatalNewcastleCity,
    kwazuluHypnatalPietermaritzburgCity,
    kwazuluHypnatalPortShepstoneCity,
    kwazuluHypnatalRichardsBayCity,
    kwazuluHypnatalRichmondCity,
    kwazuluHypnatalScottburghCity,
    kwazuluHypnatalSisonkeDistrictMunicipalityCity,
    kwazuluHypnatalSundumbiliCity,
    kwazuluHypnatalUguDistrictMunicipalityCity,
    kwazuluHypnatalUlundiCity,
    kwazuluHypnatalUmgungundlovuCity,
    kwazuluHypnatalUmkhanyakudeDistrictMunicipalityCity,
    kwazuluHypnatalUmzinyathiDistrictMunicipalityCity,
    kwazuluHypnatalUthukelaDistrictMunicipalityCity,
    kwazuluHypnatalUthunguluDistrictMunicipalityCity,
    kwazuluHypnatalUtrechtCity,
    kwazuluHypnatalVryheidCity,
    kwazuluHypnatalZululandDistrictMunicipalityCity
  ]);

/// The `Limpopo` region in `South Africa`
const Region southAfricaLimpopo = Region(
  id: 933,
  parentId: 204,
  longitude: 29.4179324,
  latitude: -23.4012946,
  name: "Limpopo",
  type: null,
  stateCode: "LP",
  cities: [
    limpopoBochumCity,
    limpopoCapricornDistrictMunicipalityCity,
    limpopoDuiwelskloofCity,
    limpopoGaHypkgapaneCity,
    limpopoGiyaniCity,
    limpopoLebowakgomoCity,
    limpopoLouisTrichardtCity,
    limpopoMankoengCity,
    limpopoModimolleCity,
    limpopoMokopaneCity,
    limpopoMopaniDistrictMunicipalityCity,
    limpopoMusinaCity,
    limpopoNkowakowaCity,
    limpopoPhalaborwaCity,
    limpopoPolokwaneCity,
    limpopoSekhukhuneDistrictMunicipalityCity,
    limpopoThabazimbiCity,
    limpopoThohoyandouCity,
    limpopoThulamahashiCity,
    limpopoTzaneenCity,
    limpopoVhembeDistrictMunicipalityCity,
    limpopoWarmbathsCity,
    limpopoWaterbergDistrictMunicipalityCity
  ]);

/// The `Mpumalanga` region in `South Africa`
const Region southAfricaMpumalanga = Region(
  id: 937,
  parentId: 204,
  longitude: 30.5279096,
  latitude: -25.565336,
  name: "Mpumalanga",
  type: null,
  stateCode: "MP",
  cities: [
    mpumalangaBalfourCity,
    mpumalangaBarbertonCity,
    mpumalangaBelfastCity,
    mpumalangaBethalCity,
    mpumalangaBreytenCity,
    mpumalangaCarolinaCity,
    mpumalangaDelmasCity,
    mpumalangaDriefonteinCity,
    mpumalangaEhlanzeniDistrictCity,
    mpumalangaEmbalenhleCity,
    mpumalangaErmeloCity,
    mpumalangaGertSibandeDistrictMunicipalityCity,
    mpumalangaHendrinaCity,
    mpumalangaKomatipoortCity,
    mpumalangaKrielCity,
    mpumalangaLydenburgCity,
    mpumalangaMiddelburgCity,
    mpumalangaNelspruitCity,
    mpumalangaNkangalaDistrictMunicipalityCity,
    mpumalangaPietRetiefCity,
    mpumalangaSecundaCity,
    mpumalangaSiyabuswaCity,
    mpumalangaStandertonCity,
    mpumalangaVolksrustCity,
    mpumalangaWhiteRiverCity,
    mpumalangaWitbankCity
  ]);

/// The `North West` region in `South Africa`
const Region southAfricaNorthWest = Region(
  id: 934,
  parentId: 204,
  longitude: -97.328806,
  latitude: 32.758852,
  name: "North West",
  type: null,
  stateCode: "NW",
  cities: [
    northWestBloemhofCity,
    northWestBojanalaPlatinumDistrictMunicipalityCity,
    northWestBritsCity,
    northWestChristianaCity,
    northWestDrKennethKaundaDistrictMunicipalityCity,
    northWestDrRuthSegomotsiMompatiDistrictMunicipalityCity,
    northWestFochvilleCity,
    northWestGaHyprankuwaCity,
    northWestJanKempdorpCity,
    northWestKlerksdorpCity,
    northWestKosterCity,
    northWestLichtenburgCity,
    northWestMahikengCity,
    northWestMaileCity,
    northWestMmabathoCity,
    northWestNgakaModiriMolemaDistrictMunicipalityCity,
    northWestOrkneyCity,
    northWestPotchefstroomCity,
    northWestRustenburgCity,
    northWestSchweizerHyprenekeCity,
    northWestStilfonteinCity,
    northWestVryburgCity,
    northWestWolmaransstadCity,
    northWestZeerustCity
  ]);

/// The `Northern Cape` region in `South Africa`
const Region southAfricaNorthernCape = Region(
  id: 931,
  parentId: 204,
  longitude: 21.8568586,
  latitude: -29.0466808,
  name: "Northern Cape",
  type: null,
  stateCode: "NC",
  cities: [
    northernCapeBarklyWestCity,
    northernCapeBrandvleiCity,
    northernCapeCalviniaCity,
    northernCapeCarnarvonCity,
    northernCapeColesbergCity,
    northernCapeDanielskuilCity,
    northernCapeDeAarCity,
    northernCapeFrancesBaardDistrictMunicipalityCity,
    northernCapeFraserburgCity,
    northernCapeJohnTaoloGaetseweDistrictMunicipalityCity,
    northernCapeKathuCity,
    northernCapeKenhardtCity,
    northernCapeKimberleyCity,
    northernCapeKurumanCity,
    northernCapeNamakwaDistrictMunicipalityCity,
    northernCapeNoupoortCity,
    northernCapeOraniaCity,
    northernCapePampierstadCity,
    northernCapePixleyKaSemeDistrictMunicipalityCity,
    northernCapePofadderCity,
    northernCapePostmasburgCity,
    northernCapePrieskaCity,
    northernCapeRitchieCity,
    northernCapeSiyandaDistrictMunicipalityCity,
    northernCapeSpringbokCity,
    northernCapeUpingtonCity,
    northernCapeVanWyksvleiCity,
    northernCapeWarrentonCity
  ]);

/// The `Western Cape` region in `South Africa`
const Region southAfricaWesternCape = Region(
  id: 939,
  parentId: 204,
  longitude: 21.8568586,
  latitude: -33.2277918,
  name: "Western Cape",
  type: null,
  stateCode: "WC",
  cities: [
    westernCapeAlbertinaCity,
    westernCapeArnistonCity,
    westernCapeAtlantisCity,
    westernCapeBeaufortWestCity,
    westernCapeBergvlietCity,
    westernCapeBredasdorpCity,
    westernCapeCaledonCity,
    westernCapeCalitzdorpCity,
    westernCapeCapeTownCity,
    westernCapeCapeWinelandsDistrictMunicipalityCity,
    westernCapeCentralKarooDistrictMunicipalityCity,
    westernCapeCeresCity,
    westernCapeCityOfCapeTownCity,
    westernCapeClanwilliamCity,
    westernCapeClaremontCity,
    westernCapeConstantiaCity,
    westernCapeDeRustCity,
    westernCapeEdenDistrictMunicipalityCity,
    westernCapeGeorgeCity,
    westernCapeGrabouwCity,
    westernCapeHardysMemoriesOfAfricaCity,
    westernCapeHermanusCity,
    westernCapeKnysnaCity,
    westernCapeKraaifonteinCity,
    westernCapeLadismithCity,
    westernCapeLansdowneCity,
    westernCapeMalmesburyCity,
    westernCapeMontaguCity,
    westernCapeMoorreesburgCity,
    westernCapeMosselBayCity,
    westernCapeNewlandsCity,
    westernCapeOudtshoornCity,
    westernCapeOverbergDistrictMunicipalityCity,
    westernCapePaarlCity,
    westernCapePiketbergCity,
    westernCapePlettenbergBayCity,
    westernCapePrinceAlbertCity,
    westernCapeRetreatCity,
    westernCapeRiversdaleCity,
    westernCapeRobertsonCity,
    westernCapeRondeboschCity,
    westernCapeRosebankCity,
    westernCapeSaldanhaCity,
    westernCapeStellenboschCity,
    westernCapeSunsetBeachCity,
    westernCapeSwellendamCity,
    westernCapeVredenburgCity,
    westernCapeVredendalCity,
    westernCapeWellingtonCity,
    westernCapeWestCoastDistrictMunicipalityCity,
    westernCapeWorcesterCity,
    westernCapeZoarCity
  ]);

/// The 9 states of `South Africa` keyed by their id.
const Map<int, Region> southAfricaStates = <int, Region>{
    938: southAfricaEasternCape,
    932: southAfricaFreeState,
    936: southAfricaGauteng,
    935: southAfricaKwazuluHypnatal,
    933: southAfricaLimpopo,
    937: southAfricaMpumalanga,
    934: southAfricaNorthWest,
    931: southAfricaNorthernCape,
    939: southAfricaWesternCape
  };
