/// Access to known geographies in Spain and their metadata.
///
/// NOTICE: This file is auto-generated and should not be changed manually.
library;

import '../base.dart';
import 'spain_states.dart';

/// The country of `Spain`, and its 53 states
const Country spain = Country(
  id: 207,
  name: "Spain",
  longitude: -4.0,
  latitude: 40.0,
  capital: "Madrid",
  currency: "EUR",
  currencySymbol: "€",
  currencyName: "Euro",
  emoji: "🇪🇸",
  emojiU: "U+1F1EA U+1F1F8",
  iso2: "ES",
  iso3: "ESP",
  native: "España",
  numericCode: "724",
  nationality: "Spanish",
  phoneCode: "34",
  region: "Europe",
  subregion: "Southern Europe",
  tld: ".es",
  states: [
    spainACorunaProvince,
    spainAlbaceteProvince,
    spainAlicanteProvince,
    spainAlmeriaProvince,
    spainArabaProvince,
    spainAsturiasProvince,
    spainAvilaProvince,
    spainBadajozProvince,
    spainBarcelonaProvince,
    spainBizkaiaProvince,
    spainBurgosProvince,
    spainCaceresProvince,
    spainCadizProvince,
    spainCanariasAutonomousCommunity,
    spainCantabriaProvince,
    spainCastellonProvince,
    spainCeutaAutonomousCityInNorthAfrica,
    spainCiudadRealProvince,
    spainCordobaProvince,
    spainCuencaProvince,
    spainGipuzkoaProvince,
    spainGironaProvince,
    spainGranadaProvince,
    spainGuadalajaraProvince,
    spainHuelvaProvince,
    spainHuescaProvince,
    spainIslasBalearesProvince,
    spainJaenProvince,
    spainLaRiojaProvince,
    spainLasPalmasProvince,
    spainLeonProvince,
    spainLleidaProvince,
    spainLugoProvince,
    spainMadridProvince,
    spainMalagaProvince,
    spainMelillaAutonomousCityInNorthAfrica,
    spainMurciaProvince,
    spainNavarraProvince,
    spainOurenseProvince,
    spainPalenciaProvince,
    spainPontevedraProvince,
    spainSalamancaProvince,
    spainSantaCruzDeTenerifeProvince,
    spainSegoviaProvince,
    spainSevillaProvince,
    spainSoriaProvince,
    spainTarragonaProvince,
    spainTeruelProvince,
    spainToledoProvince,
    spainValenciaProvince,
    spainValladolidProvince,
    spainZamoraProvince,
    spainZaragozaProvince
  ],
  timezones: [
    Timezone(
      abbreviation: "CET",
      gmtOffset: 3600,
      gmtOffsetName: "UTC+01:00",
      tzName: "Central European Time",
      zoneName: "Africa/Ceuta"),
    Timezone(
      abbreviation: "WET",
      gmtOffset: 0,
      gmtOffsetName: "UTC±00",
      tzName: "Western European Time",
      zoneName: "Atlantic/Canary"),
    Timezone(
      abbreviation: "CET",
      gmtOffset: 3600,
      gmtOffsetName: "UTC+01:00",
      tzName: "Central European Time",
      zoneName: "Europe/Madrid")
  ],
  translations: {
    "kr": "스페인",
    "pt-BR": "Espanha",
    "pt": "Espanha",
    "nl": "Spanje",
    "hr": "Španjolska",
    "fa": "اسپانیا",
    "de": "Spanien",
    "es": "España",
    "fr": "Espagne",
    "ja": "スペイン",
    "it": "Spagna",
    "cn": "西班牙",
    "tr": "İspanya"
  });
