/// Access to known geographies in Sri Lanka and their metadata.
///
/// NOTICE: This file is auto-generated and should not be changed manually.
library;

import '../base.dart';
import 'srilanka_states.dart';

/// The country of `Sri Lanka`, and its 33 states
const Country sriLanka = Country(
  id: 208,
  name: "Sri Lanka",
  longitude: 81.0,
  latitude: 7.0,
  capital: "Colombo",
  currency: "LKR",
  currencySymbol: "Rs",
  currencyName: "Sri Lankan rupee",
  emoji: "🇱🇰",
  emojiU: "U+1F1F1 U+1F1F0",
  iso2: "LK",
  iso3: "LKA",
  native: "śrī laṃkāva",
  numericCode: "144",
  nationality: "Sri Lankan",
  phoneCode: "94",
  region: "Asia",
  subregion: "Southern Asia",
  tld: ".lk",
  states: [
    sriLankaAmparaDistrict,
    sriLankaAnuradhapuraDistrict,
    sriLankaBadullaDistrict,
    sriLankaBatticaloaDistrict,
    sriLankaCentralProvince,
    sriLankaColomboDistrict,
    sriLankaEasternProvince,
    sriLankaGalleDistrict,
    sriLankaGampahaDistrict,
    sriLankaHambantotaDistrict,
    sriLankaJaffnaDistrict,
    sriLankaKalutaraDistrict,
    sriLankaKandyDistrict,
    sriLankaKegalleDistrict,
    sriLankaKilinochchiDistrict,
    sriLankaMannarDistrict,
    sriLankaMataleDistrict,
    sriLankaMataraDistrict,
    sriLankaMonaragalaDistrict,
    sriLankaMullaitivuDistrict,
    sriLankaNorthCentralProvince,
    sriLankaNorthWesternProvince,
    sriLankaNorthernProvince,
    sriLankaNuwaraEliyaDistrict,
    sriLankaPolonnaruwaDistrict,
    sriLankaPuttalamDistrict,
    sriLankaRatnapuraDistrict,
    sriLankaSabaragamuwaProvince,
    sriLankaSouthernProvince,
    sriLankaTrincomaleeDistrict,
    sriLankaUvaProvince,
    sriLankaVavuniyaDistrict,
    sriLankaWesternProvince
  ],
  timezones: [
    Timezone(
      abbreviation: "IST",
      gmtOffset: 19800,
      gmtOffsetName: "UTC+05:30",
      tzName: "Indian Standard Time",
      zoneName: "Asia/Colombo")
  ],
  translations: {
    "kr": "스리랑카",
    "pt-BR": "Sri Lanka",
    "pt": "Sri Lanka",
    "nl": "Sri Lanka",
    "hr": "Šri Lanka",
    "fa": "سری‌لانکا",
    "de": "Sri Lanka",
    "es": "Sri Lanka",
    "fr": "Sri Lanka",
    "ja": "スリランカ",
    "it": "Sri Lanka",
    "cn": "斯里兰卡",
    "tr": "Sri Lanka"
  });
