/// Access to known geographies in Taiwan and their metadata.
///
/// NOTICE: This file is auto-generated and should not be changed manually.
library;

import '../base.dart';
import 'taiwan_states.dart';

/// The country of `Taiwan`, and its 22 states
const Country taiwan = Country(
  id: 216,
  name: "Taiwan",
  longitude: 121.0,
  latitude: 23.5,
  capital: "Taipei",
  currency: "TWD",
  currencySymbol: "\$",
  currencyName: "New Taiwan dollar",
  emoji: "🇹🇼",
  emojiU: "U+1F1F9 U+1F1FC",
  iso2: "TW",
  iso3: "TWN",
  native: "臺灣",
  numericCode: "158",
  nationality: "Chinese, Taiwanese",
  phoneCode: "886",
  region: "Asia",
  subregion: "Eastern Asia",
  tld: ".tw",
  states: [
    taiwanChanghuaCounty,
    taiwanChiayiCity,
    taiwanChiayiCounty,
    taiwanHsinchuCounty,
    taiwanHsinchuCity,
    taiwanHualienCounty,
    taiwanKaohsiungSpecialMunicipality,
    taiwanKeelungCity,
    taiwanKinmenCounty,
    taiwanLienchiangCounty,
    taiwanMiaoliCounty,
    taiwanNantouCounty,
    taiwanNewTaipeiSpecialMunicipality,
    taiwanPenghuCounty,
    taiwanPingtungCounty,
    taiwanTaichungSpecialMunicipality,
    taiwanTainanSpecialMunicipality,
    taiwanTaipeiSpecialMunicipality,
    taiwanTaitungCounty,
    taiwanTaoyuanSpecialMunicipality,
    taiwanYilanCounty,
    taiwanYunlinCounty
  ],
  timezones: [
    Timezone(
      abbreviation: "CST",
      gmtOffset: 28800,
      gmtOffsetName: "UTC+08:00",
      tzName: "China Standard Time",
      zoneName: "Asia/Taipei")
  ],
  translations: {
    "kr": "대만",
    "pt-BR": "Taiwan",
    "pt": "Taiwan",
    "nl": "Taiwan",
    "hr": "Tajvan",
    "fa": "تایوان",
    "de": "Taiwan",
    "es": "Taiwán",
    "fr": "Taïwan",
    "ja": "台湾（中華民国）",
    "it": "Taiwan",
    "cn": "中国台湾",
    "tr": "Tayvan"
  });
