/// Access to known geographies in Turkey and their metadata.
///
/// NOTICE: This file is auto-generated and should not be changed manually.
library;

import '../base.dart';
import 'turkey_states.dart';

/// The country of `Turkey`, and its 81 states
const Country turkey = Country(
  id: 225,
  name: "Turkey",
  longitude: 35.0,
  latitude: 39.0,
  capital: "Ankara",
  currency: "TRY",
  currencySymbol: "₺",
  currencyName: "Turkish lira",
  emoji: "🇹🇷",
  emojiU: "U+1F1F9 U+1F1F7",
  iso2: "TR",
  iso3: "TUR",
  native: "Türkiye",
  numericCode: "792",
  nationality: "Turkish",
  phoneCode: "90",
  region: "Asia",
  subregion: "Western Asia",
  tld: ".tr",
  states: [
    turkeyAdanaProvince,
    turkeyAdiyamanProvince,
    turkeyAfyonkarahisarProvince,
    turkeyAgriProvince,
    turkeyAksarayProvince,
    turkeyAmasyaProvince,
    turkeyAnkaraProvince,
    turkeyAntalyaProvince,
    turkeyArdahanProvince,
    turkeyArtvinProvince,
    turkeyAydinProvince,
    turkeyBalikesirProvince,
    turkeyBartinProvince,
    turkeyBatmanProvince,
    turkeyBayburtProvince,
    turkeyBilecikProvince,
    turkeyBingolProvince,
    turkeyBitlisProvince,
    turkeyBoluProvince,
    turkeyBurdurProvince,
    turkeyBursaProvince,
    turkeyCanakkaleProvince,
    turkeyCankiriProvince,
    turkeyCorumProvince,
    turkeyDenizliProvince,
    turkeyDiyarbakirProvince,
    turkeyDuzceProvince,
    turkeyEdirneProvince,
    turkeyElazigProvince,
    turkeyErzincanProvince,
    turkeyErzurumProvince,
    turkeyEskisehirProvince,
    turkeyGaziantepProvince,
    turkeyGiresunProvince,
    turkeyGumushaneProvince,
    turkeyHakkariProvince,
    turkeyHatayProvince,
    turkeyIgdirProvince,
    turkeyIspartaProvince,
    turkeyIstanbulProvince,
    turkeyIzmirProvince,
    turkeyKahramanmarasProvince,
    turkeyKarabukProvince,
    turkeyKaramanProvince,
    turkeyKarsProvince,
    turkeyKastamonuProvince,
    turkeyKayseriProvince,
    turkeyKilisProvince,
    turkeyKirikkaleProvince,
    turkeyKirklareliProvince,
    turkeyKirsehirProvince,
    turkeyKocaeliProvince,
    turkeyKonyaProvince,
    turkeyKutahyaProvince,
    turkeyMalatyaProvince,
    turkeyManisaProvince,
    turkeyMardinProvince,
    turkeyMersinProvince,
    turkeyMuglaProvince,
    turkeyMusProvince,
    turkeyNevsehirProvince,
    turkeyNigdeProvince,
    turkeyOrduProvince,
    turkeyOsmaniyeProvince,
    turkeyRizeProvince,
    turkeySakaryaProvince,
    turkeySamsunProvince,
    turkeySanliurfaProvince,
    turkeySiirtProvince,
    turkeySinopProvince,
    turkeySivasProvince,
    turkeySirnakProvince,
    turkeyTekirdagProvince,
    turkeyTokatProvince,
    turkeyTrabzonProvince,
    turkeyTunceliProvince,
    turkeyUsakProvince,
    turkeyVanProvince,
    turkeyYalovaProvince,
    turkeyYozgatProvince,
    turkeyZonguldakProvince
  ],
  timezones: [
    Timezone(
      abbreviation: "EET",
      gmtOffset: 10800,
      gmtOffsetName: "UTC+03:00",
      tzName: "Eastern European Time",
      zoneName: "Europe/Istanbul")
  ],
  translations: {
    "kr": "터키",
    "pt-BR": "Turquia",
    "pt": "Turquia",
    "nl": "Turkije",
    "hr": "Turska",
    "fa": "ترکیه",
    "de": "Türkei",
    "es": "Turquía",
    "fr": "Turquie",
    "ja": "トルコ",
    "it": "Turchia",
    "cn": "土耳其",
    "tr": "Türkiye"
  });
