/// Access to known geographies in United Arab Emirates and their metadata.
///
/// NOTICE: This file is auto-generated and should not be changed manually.
library;

import '../base.dart';
import 'unitedarabemirates_states.dart';

/// The country of `United Arab Emirates`, and its 7 states
const Country unitedArabEmirates = Country(
  id: 231,
  name: "United Arab Emirates",
  longitude: 54.0,
  latitude: 24.0,
  capital: "Abu Dhabi",
  currency: "AED",
  currencySymbol: "إ.د",
  currencyName: "United Arab Emirates dirham",
  emoji: "🇦🇪",
  emojiU: "U+1F1E6 U+1F1EA",
  iso2: "AE",
  iso3: "ARE",
  native: "دولة الإمارات العربية المتحدة",
  numericCode: "784",
  nationality: "Emirati, Emirian, Emiri",
  phoneCode: "971",
  region: "Asia",
  subregion: "Western Asia",
  tld: ".ae",
  states: [
    unitedArabEmiratesAbuDhabiEmirate,
    unitedArabEmiratesAjmanEmirate,
    unitedArabEmiratesDubai,
    unitedArabEmiratesFujairah,
    unitedArabEmiratesRasAlHypkhaimah,
    unitedArabEmiratesSharjahEmirate,
    unitedArabEmiratesUmmAlHypquwain
  ],
  timezones: [
    Timezone(
      abbreviation: "GST",
      gmtOffset: 14400,
      gmtOffsetName: "UTC+04:00",
      tzName: "Gulf Standard Time",
      zoneName: "Asia/Dubai")
  ],
  translations: {
    "kr": "아랍에미리트",
    "pt-BR": "Emirados árabes Unidos",
    "pt": "Emirados árabes Unidos",
    "nl": "Verenigde Arabische Emiraten",
    "hr": "Ujedinjeni Arapski Emirati",
    "fa": "امارات متحده عربی",
    "de": "Vereinigte Arabische Emirate",
    "es": "Emiratos Árabes Unidos",
    "fr": "Émirats arabes unis",
    "ja": "アラブ首長国連邦",
    "it": "Emirati Arabi Uniti",
    "cn": "阿拉伯联合酋长国",
    "tr": "Birleşik Arap Emirlikleri"
  });
