/// Access to known geographies in `Zambia` and their metadata.
///
/// NOTICE: This file is auto-generated and should not be changed manually.
library;

import '../base.dart';
import 'zambia_cities.dart';

/// The `Central Province` region in `Zambia`
const Region zambiaCentralProvince = Region(
  id: 1986,
  parentId: 246,
  longitude: 80.7214417,
  latitude: 7.2564996,
  name: "Central Province",
  type: null,
  stateCode: "02",
  cities: [
    centralProvinceChibomboCity,
    centralProvinceChibomboDistrictCity,
    centralProvinceKabweCity,
    centralProvinceKapiriMposhiCity,
    centralProvinceMkushiCity,
    centralProvinceMumbwaCity,
    centralProvinceSerenjeCity
  ]);

/// The `Copperbelt Province` region in `Zambia`
const Region zambiaCopperbeltProvince = Region(
  id: 1984,
  parentId: 246,
  longitude: 27.5495846,
  latitude: -13.0570073,
  name: "Copperbelt Province",
  type: null,
  stateCode: "08",
  cities: [
    copperbeltProvinceChambishiCity,
    copperbeltProvinceChililabombweCity,
    copperbeltProvinceChingolaCity,
    copperbeltProvinceChingolaDistrictCity,
    copperbeltProvinceKalulushiCity,
    copperbeltProvinceKatabaCity,
    copperbeltProvinceKitweCity,
    copperbeltProvinceLuanshyaCity,
    copperbeltProvinceMpongweCity,
    copperbeltProvinceMufuliraCity,
    copperbeltProvinceNdolaCity
  ]);

/// The `Eastern Province` region in `Zambia`
const Region zambiaEasternProvince = Region(
  id: 1991,
  parentId: 246,
  longitude: 49.3653149,
  latitude: 23.1669688,
  name: "Eastern Province",
  type: null,
  stateCode: "03",
  cities: [
    easternProvinceChadizaCity,
    easternProvinceChipataCity,
    easternProvinceLundaziCity,
    easternProvinceNyimbaCity,
    easternProvincePetaukeCity
  ]);

/// The `Luapula Province` region in `Zambia`
const Region zambiaLuapulaProvince = Region(
  id: 1987,
  parentId: 246,
  longitude: 29.0459927,
  latitude: -11.564831,
  name: "Luapula Province",
  type: null,
  stateCode: "04",
  cities: [
    luapulaProvinceKawambwaCity,
    luapulaProvinceMansaCity,
    luapulaProvinceMwenseCity,
    luapulaProvinceNchelengeCity,
    luapulaProvinceSamfyaCity
  ]);

/// The `Lusaka Province` region in `Zambia`
const Region zambiaLusakaProvince = Region(
  id: 1988,
  parentId: 246,
  longitude: 29.2320784,
  latitude: -15.3657129,
  name: "Lusaka Province",
  type: null,
  stateCode: "09",
  cities: [
    lusakaProvinceChongweCity,
    lusakaProvinceKafueCity,
    lusakaProvinceLuangwaCity,
    lusakaProvinceLusakaCity
  ]);

/// The `Muchinga Province` region in `Zambia`
const Region zambiaMuchingaProvince = Region(
  id: 1989,
  parentId: 246,
  longitude: 28.26158,
  latitude: -15.382193,
  name: "Muchinga Province",
  type: null,
  stateCode: "10",
  cities: [
    muchingaProvinceChamaCity,
    muchingaProvinceChinsaliCity,
    muchingaProvinceIsokaCity,
    muchingaProvinceMpikaCity,
    muchingaProvinceNakondeCity
  ]);

/// The `Northern Province` region in `Zambia`
const Region zambiaNorthernProvince = Region(
  id: 1982,
  parentId: 246,
  longitude: 80.2767327,
  latitude: 8.8855027,
  name: "Northern Province",
  type: null,
  stateCode: "05",
  cities: [
    northernProvinceKaputaCity,
    northernProvinceKasamaCity,
    northernProvinceLuwinguCity,
    northernProvinceMbalaCity,
    northernProvinceMporokosoCity,
    northernProvinceMpulunguCity,
    northernProvinceMungwiCity
  ]);

/// The `Northwestern Province` region in `Zambia`
const Region zambiaNorthwesternProvince = Region(
  id: 1985,
  parentId: 246,
  longitude: 24.9042208,
  latitude: -13.0050258,
  name: "Northwestern Province",
  type: null,
  stateCode: "06",
  cities: [
    northwesternProvinceKabompoCity,
    northwesternProvinceKalengwaCity,
    northwesternProvinceKansanshiCity,
    northwesternProvinceKasempaCity,
    northwesternProvinceMufumbweCity,
    northwesternProvinceMwinilungaCity,
    northwesternProvinceSolweziCity,
    northwesternProvinceZambeziCity
  ]);

/// The `Southern Province` region in `Zambia`
const Region zambiaSouthernProvince = Region(
  id: 1990,
  parentId: 246,
  longitude: 80.543845,
  latitude: 6.237375,
  name: "Southern Province",
  type: null,
  stateCode: "07",
  cities: [
    southernProvinceChomaCity,
    southernProvinceGwembeCity,
    southernProvinceItezhiHyptezhiDistrictCity,
    southernProvinceLivingstoneCity,
    southernProvinceMaambaCity,
    southernProvinceMazabukaCity,
    southernProvinceMonzeCity,
    southernProvinceNakambalaCity,
    southernProvinceNamwalaCity,
    southernProvinceSiavongaCity,
    southernProvinceSiavongaDistrictCity,
    southernProvinceSinazongweCity
  ]);

/// The `Western Province` region in `Zambia`
const Region zambiaWesternProvince = Region(
  id: 1983,
  parentId: 246,
  longitude: 80.0087746,
  latitude: 6.9016086,
  name: "Western Province",
  type: null,
  stateCode: "01",
  cities: [
    westernProvinceKalaboCity,
    westernProvinceKaomaCity,
    westernProvinceLimulungaCity,
    westernProvinceLukuluCity,
    westernProvinceMonguCity,
    westernProvinceSenangaCity,
    westernProvinceSeshekeCity
  ]);

/// The 10 states of `Zambia` keyed by their id.
const Map<int, Region> zambiaStates = <int, Region>{
    1986: zambiaCentralProvince,
    1984: zambiaCopperbeltProvince,
    1991: zambiaEasternProvince,
    1987: zambiaLuapulaProvince,
    1988: zambiaLusakaProvince,
    1989: zambiaMuchingaProvince,
    1982: zambiaNorthernProvince,
    1985: zambiaNorthwesternProvince,
    1990: zambiaSouthernProvince,
    1983: zambiaWesternProvince
  };
